dataAnnuncioAjax = {};
thumbImagesAnn = [];
var certificato = false;
function createHtmlAnnunci(prezzo, titolo, descrizione, idContainer) {

    var html = "";
    html += "<div class='addContainerTrasp previewBox' id='" + idContainer + "'>";
    html += "<div class='preview slide-half left' onclick='rightSlide();'></div>";
    html += "<div class='preview slide'></div>";
    html += "<div class='preview slide-half right' onclick='leftSlide();'></div>";
    html += "</div>";

    html += "<div class='button-centered' id='pricePreview'>";
    html += "€ " + prezzo;
    html += "</div>";

    html += "<div id='actionsPreview'>";
    html += "<div action='callAuthorProfile' class='profile-icon icon-user-2'></div>";
    html += "<div action='startChat' class='first-icon icon-bubbles'></div>";
    html += "<div action='phoneCall' class='second-icon icomoon-phone'></div>";
    html += "<div class='third-icon icon-favorite favorite-button'></div>";
    html += "<div action='shareOnFacebook' class='fourth-icon icomoon-share'></div>";



    html += "</div>";
    html += '<div style="width:100%;height:150px;" id="mapsAnnuncio"></div>';
    html += "<div class='addContainer'>";
    html += "<label>" + titolo + "</label>";
    html += descrizione;
    html += "</div>";

    return html;
}

function pushToObjectImages(id, thumb, url) {
    imagesNoticeCleared.push({
        "ID": id,
        "thumb": thumb,
        "url": url
    });
    imagesNotice.push({
        "ID": id,
        "thumb": thumb,
        "url": url
    });
}

function createAnnuncioPage(idAnnuncio) {


    $.ui.blockUI(.18);
    $.ui.showMask();

    imagesNoticeCleared = [];

    $.ajax({
        type: "POST",
        url: ajaxUrlHome + "api/get_post/?id=" + idAnnuncio + "&post_type=advertisement&author_meta=phone,email,id_avatar,azienda,wp_user_avatar,az_avatar",
        success: function(data) {

            console.log("cristo" +data);
            dataAnnuncioAjax = $.parseJSON(data);
console.log("fred:" + dataAnnuncioAjax.aut);
            idAuthor = dataAnnuncioAjax.post.author.id;
            if(dataAnnuncioAjax.post.author.azienda == "true"){
                idAvatar = dataAnnuncioAjax.aut;
            } else {
                idAvatar = dataAnnuncioAjax.post.author.id_avatar;
            }
            if(typeof dataAnnuncioAjax.post.attachments[0] === "undefined"){
                idimgThumb = "";
            } else {
                idimgThumb=dataAnnuncioAjax.post.attachments[0].id;
            }


            latAnnuncio=dataAnnuncioAjax.post.custom_fields.adv_lat[0];
            lngAnnuncio=dataAnnuncioAjax.post.custom_fields.adv_lng[0];
            titAnnuncio=dataAnnuncioAjax.post.title;
            descrAnnuncio=dataAnnuncioAjax.post.content;
            priceAnnuncio=dataAnnuncioAjax.post.custom_fields.adv_price[0];

            var html = '<h1 style="margin-top:0px;">' + titAnnuncio + '</h1>';

            $(dataAnnuncioAjax.post.attachments).each(function(index, val) {
                if( typeof val.images !== 'undefined' ) {
                    pushToObjectImages(val.id, val.images.thumbnail.url, val.images.thumbnail.url);
                }
            });

            html += createHtmlAnnunci(priceAnnuncio, titAnnuncio, descrAnnuncio, 'annunciBox');

            $.ui.updateContentDiv("annuncio", html);

            mostraMappaAnnuncio();

            $("annuncio").data("load","resizeMapAnnuncio");

            bindClickFunction();

            if (localStorage.getItem('fav')) {
                values = localStorage.getItem('fav');
                values = JSON.parse(values);
                for (i in values) {
                    if (values[i] == idAnnuncio) {
                        $('.favorite-button').addClass("addedToFavourite");
                    }
                }
            }

            $('.favorite-button').click(function() {
                toggleFavourite(idAnnuncio, $(this));
            });

            var nImages = imagesNoticeCleared.length;

            switch (nImages) {
                case (0):
                    break;
                case(1):
                    appendOnlyMainImage();
                    break;
                case(2):
                    appendMainAndRight();
                    break;
                default:
                    appendAllImages();
                    break;
            }

            $(".previewBox").swipeListener({
                hthreshold: 50,
                vthreshold: 50,
                callBack: function(dir) {
                    slideImg(dir);
                }
            });

            getAuthorMeta(idAuthor);

        },
        error: function() {
            error("profile_error", sys["NoConnect"]);
            refresherize('users', 'getAroundAnnunci');
        }
    });
}

function bindClickFunction() {

    $('div[action]').click(function() {
        var action = $(this).attr('action');
        switch (action) {
            case 'callAuthorProfile':
                callAuthorProfile();

                break;
            case 'phoneCall':
                phoneCall();
                console.log('phoneCall');
                break;
            case 'startChat':
                if(localStorage.getItem("email")){
                    var img = "";
                    if(chats.avatar != ""){
                        img = pasteImageProfile(chats.avatar);
                    } else {
                        img = chats.az_avatar;
                    }

                    getSingleFriendChat(idAuthor,  img,titAnnuncio,titAnnuncio,"online");
                } else {
                    alert(sys["LogToChat"]);
                }
                $.ui.loadContent('#profile_chat_'+idAuthor);
                break;
            case 'shareOnFacebook':
                if (localStorage.getItem("facebook"))
                    facebookWallPost(dataAnnuncioAjax.post.title, dataAnnuncioAjax.post.content, 'Yoofind', 'Scopri cosa offre chi sta intorno a te!');
                else
                    error('profile_error', sys['FacebookAccess']);
                console.log('shareOnFacebook');
                break;
            default:
                console.log('mancante');
        }
    });
}

function slideImg(dir) {
    if (dir.left)
        leftSlide();
    if (dir.right)
        rightSlide();
}

function getPositionImg(id) {
    positionInArray = '';
    $(imagesNoticeCleared).each(function(i, v) {
        if (v.ID == id) {
            positionInArray = i;
        }
    });
    return positionInArray;
}

function createImageHtml(position) {
    var html = '<img id="' + imagesNoticeCleared[position].ID + '" src="' + imagesNoticeCleared[position].thumb + '" />';
    return html;
}

function slider(positionInArray) {
    if (positionInArray == imagesNoticeCleared.length - 1) {
        appendLeftCenterRightImage(positionInArray - 1, positionInArray, 0);
    } else if (positionInArray == 0) {
        appendLeftCenterRightImage(imagesNoticeCleared.length - 1, 0, 1);
    } else {
        appendLeftCenterRightImage(positionInArray - 1, positionInArray, positionInArray + 1);
    }
}

function appendLeftCenterRightImage(posLeft, posCenter, posRight) {
    $('div.preview.slide-half.left').html(createImageHtml(posLeft)).fadeIn(1000);
    $('div.preview.slide').html(createImageHtml(posCenter)).fadeIn(1000);
    $('div.preview.slide-half.right').html(createImageHtml(posRight)).fadeIn(1000);
}

function rightSlide() {

    if (imagesNoticeCleared.length > 2) {
        var idLeftImage = $('div.preview.slide-half.left img').attr('id');
        var positionInArray = getPositionImg(idLeftImage);
        slider(positionInArray);

    }
}

function leftSlide() {
    if (imagesNoticeCleared.length == 2) {
        var imgTemp = $('div.preview.slide').html();
        $('div.preview.slide').html($('div.preview.slide-half.right').html()).fadeIn(1000);
        $('div.preview.slide-half.right').html(imgTemp).fadeIn(1000);
    }
    if (imagesNoticeCleared.length > 2) {

        var idRightImage = $('div.preview.slide-half.right img').attr('id');
        var positionInArray = getPositionImg(idRightImage);
        slider(positionInArray);
    }
}


function defaultOptions() {
    $('div.preview.slide').append("<img id='" + imagesNoticeCleared[0].ID + "' src='" + imagesNoticeCleared[0].thumb + "'/>");
}

function appendOnlyMainImage() {
    defaultOptions();
    $('div.preview.slide-half.left').css('height', '1px');

}

function appendMainAndRight() {
    defaultOptions();
    $('div.preview.slide-half.right').append("<img id='" + imagesNoticeCleared[1].ID + "' src='" + imagesNoticeCleared[1].thumb + "'/>");
    $('div.preview.slide-half.left').css('height', '1px');
}

function appendAllImages() {
    defaultOptions();
    $('div.preview.slide-half.right').append("<img id='" + imagesNoticeCleared[1].ID + "' src='" + imagesNoticeCleared[1].thumb + "'/>");
    $('div.preview.slide-half.left').append("<img id='" + imagesNoticeCleared[imagesNoticeCleared.length - 1].ID + "' src='" + imagesNoticeCleared[imagesNoticeCleared.length - 1].thumb + "'/>");
}

function toggleFavourite(id, object) {

    if (!$(object).hasClass('addedToFavourite'))
    {
        $(object).toggleClass('addedToFavourite');
        addToFavorite(id);
    } else {
        $(object).toggleClass('addedToFavourite');
        delFavorite(id);
    }

}

function addToFavorite(id) {
    var values = "";
    var valpar = new Array();

    if (localStorage.getItem('fav')) {
        values = localStorage.getItem('fav');
        values = JSON.parse(values);
        for (i in values) {
            if (values[i] != id) {
                valpar.push(values[i]);
            }
        }
    }

    valpar.push(id);
    localStorage.setItem('fav', JSON.stringify(valpar));
    error("profile_error", sys["FavOk"]);


}

function delFavorite(id) {
    var values = localStorage.getItem('fav');
    values = JSON.parse(values);
    var position = values.indexOf(id);

    if (~position) {
        values.splice(position, 1)
    }
    ;
    localStorage.setItem('fav', JSON.stringify(values));
    error("profile_error", sys["FavNo"]);

}

function getAuthorMeta(AuthorId) {

    $.ajax({
        type: "POST",
        url: ajaxUrlHome + "api/get_post/?json=get_author_posts&id=" + AuthorId + "&author_meta=phone,email,id_avatar,azienda,wp_user_avatar",
        success: function(data) {

            console.log("morte2:" + data);
            dataidAuthorAjax = $.parseJSON(data);

            phoneAuthor = dataidAuthorAjax.author.phone;
            idAuthor = dataidAuthorAjax.author.id;
            if(dataidAuthorAjax.author.azienda == "true"){
                idAvatar = dataidAuthorAjax.author.avatar_az;
            } else {
                idAvatar = dataidAuthorAjax.author.id_avatar;
            }
            idAvatarAz = dataidAuthorAjax.author.avatar_az;
            certificato= dataidAuthorAjax.author.azienda;
            findAllAuthorPosts(AuthorId);

        },
        error: function() {
            error("profile_error", sys["NoConnect"]);

        }
    });

}

function findAllAuthorPosts(AuthorId) {

    strAllAnnuncies = new Array;
    latAllAnnuncies = new Array;
    lngAllAnnuncies = new Array;
    titAllAnnuncies = new Array;
    priceAllAnnuncies = new Array();
    textComments=new Array();
    starratings=new Array();
    thumbAllAnnuncies = new Array();

    $.ajax({
        url: ajaxUrlHome + "?json=get_author_posts&id=" + AuthorId + "&post_type=advertisement",
        dataType: 'json',
        crossDomain: true,
        success: function(data) {
            commentAjaxResponse=data;
            $.ui.unblockUI();
            $.ui.hideMask();

            dataAnnunciAuthor = data.posts;
            nPosts=data.posts.length;
            wallPosts = '<div id="columnsAllPosts">';

            for (var i = 0; i < nPosts; i++) {

                for (var ii=0; ii < data.posts[i].comments.length; ii++){

                    textComments[ii]=data.posts[i].comments[ii].content;
                    starratings[ii]=data.posts[i].comments[ii].starrating;

                }

                latAllAnnuncies[i] = data.posts[i].custom_fields.adv_lat[0];
                lngAllAnnuncies[i] = data.posts[i].custom_fields.adv_lng[0];
                priceAllAnnuncies[i] = data.posts[i].custom_fields.adv_price[0];
                titAllAnnuncies[i] = data.posts[i].title;

                var imgUrl;
                if( typeof  data.posts[i].attachments[0] !== 'undefined' ) {
                    imgUrl =  data.posts[i].attachments[0].images.thumbnail.url;
                } else {
                    imgUrl = "./app/content/images/logo.png";
                }
                thumbAllAnnuncies[i] = imgUrl;

                wallPosts += '<a href="#annuncio" onclick="goToAnnunci(' + data.posts[i].id + ');">';

                if(typeof data.posts[i].attachments[0] === "undefined"){

                } else {
                    if( idimgThumb==data.posts[i].attachments[0].id){
                        wallPosts += '<div class="pin selectedImg" id="'+data.posts[i].attachments[0].id+'">';
                    }else{
                        wallPosts += '<div class="pin" id="'+data.posts[i].attachments[0].id+'">';
                    }

                    var imgUrl;
                    if( typeof  data.posts[i].attachments[0].images !== 'undefined' ) {
                        imgUrl =  data.posts[i].attachments[0].images.medium.url;
                    } else {
                        imgUrl = "./app/content/images/logo.png";
                    }
                    wallPosts += '<img src="' + imgUrl + '"/>';
                }
                wallPosts += '<p>' + data.posts[i].title + '</p>';
                wallPosts += '</div>';
                wallPosts += '</a>';

                if(typeof data.posts[i].attachments[0] === "undefined"){

                } else {
                    if( idimgThumb==data.posts[i].attachments[0].id){

                        $("#"+data.posts[i].attachments[0].id+" img").addClass("selectedImg");
                    }
                }
            }

            wallPosts += '</div>';

        },
        error: function() {
            error("profile_error", sys["NoConnect"]);

        }
    });
}


function phoneCall() {
    document.location.href = "tel:" + phoneAuthor + "";
}

function callAuthorProfile() {

    loadSellerProfile(dataAnnuncioAjax);
}

function mostraMappaAnnuncio(){

    $("#mapsAnnuncio").gmaps({zoom: 8,center: new google.maps.LatLng(latAnnuncio, lngAnnuncio),mapTypeId: google.maps.MapTypeId.ROADMAP});
    contentString=new Array();
    mappaAnnuncio=$("#mapsAnnuncio").gmaps();

    latLng = new google.maps.LatLng(latAnnuncio, lngAnnuncio);

    var imgUrl;
    if( typeof dataAnnuncioAjax.post.attachments[0] !== 'undefined' && typeof dataAnnuncioAjax.post.attachments[0].images !== 'undefined') {
        imgUrl = dataAnnuncioAjax.post.attachments[0].images.thumbnail.url;
    } else {
        imgUrl = "./app/content/images/marker.png";
    }

    var image = {
        url: imgUrl,
        //url:"./app/content/images/marker.png",
        // This marker is 20 pixels wide by 32 pixels tall.
        size: new google.maps.Size(150, 150),
        // The origin for this image is 0,0.
        origin: new google.maps.Point(0,0),
        // The anchor for this image is the base of the flagpole at 0,32.
        anchor: new google.maps.Point(0, 38),
        scaledSize: new google.maps.Size(40, 40)
    };


    if($.os.ios){
        contentString ='<div class="titAnnMap">'+titAnnuncio+'</div><div class="priceAnnMap">'+priceAnnuncio+' €</div><a href="maps:saddr='+latitudeP+','+longitudeP+'&daddr='+latAnnuncio+','+lngAnnuncio+'" target="_blank" rel="external">'+sys["ShowStreet"]+'</a>';
    } else {
        contentString='<div class="titAnnMap">'+titAnnuncio+'</div><div class="priceAnnMap">'+priceAnnuncio+' €</div><a href="http://maps.google.com/maps?'+latitudeP+','+longitudeP+'&daddr='+latAnnuncio+','+lngAnnuncio+'" target="_blank" rel="external">'+sys["ShowStreet"]+'</a>';
    }
    var infowindow = new google.maps.InfoWindow({
        maxWidth: 200
    });


    // Creating a marker and putting it on the map
    var marker = new google.maps.Marker({
        position: latLng,
        icon: image

    });
    /*google.maps.event.addListener(marker, 'click', (function(marker) {
        return function() {

            infowindow.setContent(contentString);
            infowindow.open(mappaAnnuncio, this);
        }
    })(marker));*/

    google.maps.event.addListener(marker, 'click', function() {
        infowindow.open(mappaAnnuncio, this);
        console.log("urka");
    });

    marker.setMap(mappaAnnuncio);

    // Add a new marker for position mine
    var image = {
        url:"./app/content/images/markerio.png",
        size: new google.maps.Size(150, 150),
        origin: new google.maps.Point(0,0),
        anchor: new google.maps.Point(0, 25),
        scaledSize: new google.maps.Size(30, 30)
    };

    var marker = new google.maps.Marker({
        position: new google.maps.LatLng(latitudeP, longitudeP),
        icon: image
    });

    marker.setMap(mappaAnnuncio);
    // End of add a marker
}

function resizeMapAnnuncio(mappa){

    $("#mapsAnnuncio").gmaps("resize");

}
