var stati = ["Italia","Afghanistan","Albania","Algeria","Andorra","Angola","Antigua and Barbuda","Argentina","Armenia","Australia","Austria","Azerbaijan","Bahamas, The","Bahrain","Bangladesh","Barbados","Belarus","Belgium","Belize","Benin","Bhutan","Bolivia","Bosnia and Herzegovina","Botswana","Brazil","Brunei","Bulgaria","Burkina Faso","Burma","Burundi","Cambodia","Cameroon","Canada","Cape Verde","Central African Republic","Chad","Chile","China","Colombia","Comoros","Congo, Democratic Republic of the","Congo, Republic of the","Costa Rica","Cote d Ivoire","Croatia","Cuba","Cyprus","Czech Republic","Denmark","Djibouti","Dominica","Dominican Republic","East Timor","Ecuador","Egypt","El Salvador","Equatorial Guinea","Eritrea","Estonia","Ethiopia","Fiji","Finland","France","Gabon","Gambia, The","Georgia","Germany","Ghana","Greece","Grenada","Guatemala","Guinea","Guinea-Bissau","Guyana","Haiti","Holy See","Honduras","Hong Kong","Hungary","Iceland","India","Indonesia","Iran","Iraq","Ireland","Israel","Jamaica","Japan","Jordan","Kazakhstan","Kenya","Kiribati","Korea, North","Korea, South","Kosovo","Kuwait","Kyrgyzstan","Laos","Latvia","Lebanon","Lesotho","Liberia","Libya","Liechtenstein","Lithuania","Luxembourg","Macau","Macedonia","Madagascar","Malawi","Malaysia","Maldives","Mali","Malta","Marshall Islands","Mauritania","Mauritius","Mexico","Micronesia","Moldova","Monaco","Mongolia","Montenegro","Morocco","Mozambique","Namibia","Nauru","Nepal","Netherlands","Netherlands Antilles","New Zealand","Nicaragua","Niger","Nigeria","North Korea","Norway","Oman","Pakistan","Palau","Palestinian Territories","Panama","Papua New Guinea","Paraguay","Peru","Philippines","Poland","Portugal","Qatar","Romania","Russia","Rwanda","Saint Kitts and Nevis","Saint Lucia","Saint Vincent and the Grenadines","Samoa","San Marino","Sao Tome and Principe","Saudi Arabia","Senegal","Serbia","Seychelles","Sierra Leone","Singapore","Slovakia","Slovenia","Solomon Islands","Somalia","South Africa","South Korea","South Sudan","Spain","Sri Lanka","Sudan","Suriname","Swaziland","Sweden","Switzerland","Syria","Taiwan","Tajikistan","Tanzania","Thailand","Timor-Leste","Togo","Tonga","Trinidad and Tobago","Tunisia","Turkey","Turkmenistan","Tuvalu","Uganda","Ukraine","United Arab Emirates","United Kingdom","Uruguay","Uzbekistan","Vanuatu","Venezuela","Vietnam","Yemen","Zambia","Zimbabwe"];

var regioni = '{"abruzzo":{"regName":"Abruzzo","laquila":"L\'Aquila","teramo":"Teramo","pescara":"Pescara","chieti":"Chieti"},"basilicata":{"regName":"Basilicata","potenza":"Potenza","matera":"Matera"},"calabria":{"regName":"Calabria","cosenza":"Cosenza","catanzaro":"Catanzaro","reggio-di-calabria":"Reggio di Calabria","crotone":"Crotone","vibo-valentia":"Vibo Valentia"},"campania":{"regName":"Campania","caserta":"Caserta","benevento":"Benevento","napoli":"Napoli","avellino":"Avellino","salerno":"Salerno"},"emilia-romagna":{"regName":"Emilia-Romagna","piacenza":"Piacenza","parma":"Parma","reggio-nellemilia":"Reggio nell\'Emilia","modena":"Modena","bologna":"Bologna","ferrara":"Ferrara","ravenna":"Ravenna","forli-cesena":"Forlì-Cesena","rimini":"Rimini"},"friuli-venezia-giulia":{"regName":"Friuli-Venezia Giulia","udine":"Udine","gorizia":"Gorizia","trieste":"Trieste","pordenone":"Pordenone"},"lazio":{"regName":"Lazio","viterbo":"Viterbo","rieti":"Rieti","roma":"Roma","latina":"Latina","frosinone":"Frosinone"},"liguria":{"regName":"Liguria","imperia":"Imperia","savona":"Savona","genova":"Genova","la-spezia":"La Spezia"},"lombardia":{"regName":"Lombardia","varese":"Varese","como":"Como","sondrio":"Sondrio","milano":"Milano","bergamo":"Bergamo","brescia":"Brescia","pavia":"Pavia","cremona":"Cremona","mantova":"Mantova","lecco":"Lecco","lodi":"Lodi","monza-e-della-brianza":"Monza e della Brianza"},"marche":{"regName":"Marche","pesaro-e-urbino":"Pesaro e Urbino","ancona":"Ancona","macerata":"Macerata","ascoli-piceno":"Ascoli Piceno","fermo":"Fermo"},"molise":{"regName":"Molise","campobasso":"Campobasso","isernia":"Isernia"},"piemonte":{"regName":"Piemonte","torino":"Torino","vercelli":"Vercelli","novara":"Novara","cuneo":"Cuneo","asti":"Asti","alessandria":"Alessandria","biella":"Biella","verbano-cusio-ossola":"Verbano-Cusio-Ossola"},"puglia":{"regName":"Puglia","foggia":"Foggia","bari":"Bari","taranto":"Taranto","brindisi":"Brindisi","lecce":"Lecce","barletta-andria-trani":"Barletta-Andria-Trani"},"sardegna":{"regName":"Sardegna","sassari":"Sassari","nuoro":"Nuoro","cagliari":"Cagliari","oristano":"Oristano","olbia-tempio":"Olbia-Tempio","ogliastra":"Ogliastra","medio-campidano":"Medio Campidano","carbonia-iglesias":"Carbonia-Iglesias"},"sicilia":{"regName":"Sicilia","trapani":"Trapani","palermo":"Palermo","messina":"Messina","agrigento":"Agrigento","caltanissetta":"Caltanissetta","enna":"Enna","catania":"Catania","ragusa":"Ragusa","siracusa":"Siracusa"},"toscana":{"regName":"Toscana","massa-carrara":"Massa-Carrara","lucca":"Lucca","pistoia":"Pistoia","firenze":"Firenze","livorno":"Livorno","pisa":"Pisa","arezzo":"Arezzo","siena":"Siena","grosseto":"Grosseto","prato":"Prato"},"trentino-alto-adige":{"regName":"Trentino-Alto Adige","bolzano":"Bolzano","trento":"Trento"},"umbria":{"regName":"Umbria","perugia":"Perugia","terni":"Terni"},"veneto":{"regName":"Veneto","verona":"Verona","vicenza":"Vicenza","belluno":"Belluno","treviso":"Treviso","venezia":"Venezia","padova":"Padova","rovigo":"Rovigo"}}';

var cityDb = $.parseJSON(regioni);

function cityStart() {

    var html = '';

    html += '<div id="selections">';
    html += '<select name="region" id="region">';
    html += '<option value="-">Scegli una regione</option>';
    for( regioni in cityDb ) {
        html += '<option value="'+regioni+'">'+cityDb[regioni].regName+'</option>';
    }
    html += '</select>';

    html += '<div id="provCont"></div>';
    html += '</div>';

    html += '<div id="comCont"></div>';

    $.ui.addContentDiv("citySelection",html,"Città");
    $("#citySelection").data('load','citySelectionLoad');
    $("#citySelection").data('unload','citySelectionUnload');
    $("#citySelection").addClass('color');

    $("#region").bind('change', chosenRegion );
}

function chosenRegion() {

    var regione = $("#region").val();
    $('#province').remove();
    $('#comune').remove();
    $('#comCont').html('');

    if( regione != '-' ) {
        $('#provCont').append('<select name="province" id="province"></select>');

        var html = '<option value="-">Scegli la provincia</option>';
        for( province in cityDb[regione] ) {
            if( province != 'regName' ) {
                html += '<option value="'+province+'">'+cityDb[regione][province]+'</option>';
            }
        }
        $('#province').append(html);
        $("#province").unbind().bind('change', chosenProvince );
    }
}

function chosenProvince() {
    var province = $("#province").val();
    $('#comune').remove();
    $('#comCont').html('');

    if( province != '-' ) {
        $('#comCont').append('<input type="text" name="comune" id="comune">');

        $.jsonP({
                url: "./app/content/js/comuni/" + province + ".json?callback=?",
                success:function(data){
                    pickyourfuckingcity(data);
                }
            }
        );
    }
}

function pickyourfuckingcity(dataJSON) {
    $('#comune').jsonSuggest({data: dataJSON, minCharacters: 3, headMsg: '<h2>Scegli la tua città da questo elenco</h2>', onSelect: chosenComune });

    jQuery('#comune').focus();
    triggerFocus();

    //$("#comune").unbind().bind('change', chosenComune );
}

function chosenComune(comuneData) {
    var comune = comuneData.name;
    var lat = comuneData.lat;
    var lng = comuneData.lng;



    $("#selectedCity").text(stringTrimmer(comune,15,25));

    latitudeP = lat;
    longitudeP = lng;




    if( !localStorage.getItem("city")) {

        newPosition=true;

        $.ui.loadContent("#main");

    } else {
        //$.ui.goBack();
        newPosition=true;

        $.ui.loadContent("#main");

    }

    localStorage.setItem("city",comune);

}
