function numberFormat(n) {

    var intSeparator = '.';
    var decSeparator = ',';

    var number = mainFormatNumber(n, intSeparator, decSeparator);
    return number;
}
function numberFormatGeneral(n, intSeparator, decSeparator) {
    var number = mainFormatNumber(n, intSeparator, decSeparator);
    return number;
}
function mainFormatNumber(n, intSeparator, decSeparator) {
    var doneNumber = '';
    var number = n.toFixed(2);
    var decimali = (number % 1).toFixed(2).toString().substring(2, 4);
    var interi = number - (decimali / 100);

    var numFormatted = '';
    var interiLength = interi.toString().length;

    if (interiLength > 3) {
        if (interiLength % 3 != 0)
            numFormatted = interi.toString().substring(0, interiLength % 3) + intSeparator;

        var count = interiLength % 3;
        while (count < interiLength) {
            numFormatted += interi.toString().substring(count, count + 3);
            count += 3;
            if (count != interiLength) {
                numFormatted += intSeparator;
            }
        }

    } else {
        numFormatted = interi;
    }
    doneNumber = numFormatted + decSeparator + decimali;
    return doneNumber;
}

