jQuery(document).ready(function(dollar) {

    jQuery('#submitMegaForm').click( clickHandler );
    jQuery('form[name="TheForm"]').submit(function(e){
        //$('#submitMegaForm').trigger('click');
        e.preventDefault();
        return false;
    },false);

    function clickHandler() {
        var formData = new FormData( jQuery('form[name="TheForm"]')[0] );
        if(($("#chat_content").val() != "" && $("#chat_content").val() != " ") || $("#attachment").val().length > 0){
            $.ui.showMask('Sending Message');

            jQuery.ajax({
                url: ajaxUrlHome + 'api/ketchapp/send_message/',  //server script to process data
                type: 'POST',
                xhr: function() {  // custom xhr
                    var myXhr = jQuery.ajaxSettings.xhr();

                    if(myXhr.upload){ // check if upload property exists
                        console.log('loading img');
                    }
                    return myXhr;
                },
                //Ajax events
                success: completeHandler,
                error: errorHandler,
                // Form data
                data: formData,
                //Options to tell JQuery not to process data or worry about content-type
                cache: false,
                contentType: false,
                processData: false
            });
        }
    }

    function completeHandler(s){
        $.ui.hideMask();
        $("#chat_content").val("");
        $("#attachment").val("");
        $("#attachment").parent().removeClass('fileok');
        $("#chat_content").parent().removeClass("imagein");
        console.log(s);
        var data = s;
        if(data.error == "sender is blocked"){
            alert("Non puoi mandare messaggi ad un utente che ti hai bloccato");
        } else if(data.error == "sender blocked you"){
            alert("Non puoi mandare messaggi ad un utente che hai bloccato");
        }
        $("#navbar").css("display","none");
        console.log("yeah");
    }

    function errorHandler(e){
        $.ui.hideMask();
    }

    // change classes of files
    jQuery('#attachment').change( function(evt){
        var one = $("#attachment");
        if(one.val().length > 0){
            one.parent().addClass('fileok');
            $("#chat_content").parent().addClass("imagein");
        } else {
            one.parent().removeClass('fileok');
            $("#chat_content").parent().removeClass("imagein");
        }
    });

    /* *************************** */
    /* *************************** */
    /*   send comment to IDEABOX   */
    /* *************************** */
    /* *************************** */
    //jQuery('#UPsubmitMegaForm').click( UPclickHandler );
    jQuery(document).on("triggoidea",ib_clickHandler);
    jQuery('form[name="IdeaBox"]').submit(function(e){
        e.preventDefault();
        return false;
    },false);


    function ib_clickHandler() {
        var formData = new FormData( jQuery('form[name="IdeaBox"]')[0] );
            $.ui.showMask('Sending Message');
            jQuery.ajax({
                url: ajaxUrlHome + 'api/ketchapp/send_message/',  //server script to process data
                type: 'POST',
                xhr: function() {  // custom xhr
                    var myXhr = jQuery.ajaxSettings.xhr();

                    if(myXhr.upload){ // check if upload property exists
                        console.log('loading img');
                    }
                    return myXhr;
                },
                //Ajax events
                success: ib_completeHandler,
                error: ib_errorHandler,
                // Form data
                data: formData,
                //Options to tell JQuery not to process data or worry about content-type
                cache: false,
                contentType: false,
                processData: false
            });

    }

    function ib_completeHandler(s){
        $.ui.hideMask();

        $("#ib_attachment").val("");
        $("#ib_attachment").parent().removeClass('fileok');
        $("#ib_chat_content").val("");
        $("#ib_chat_content").parent().removeClass("imagein");

        error("profile_error", "Messaggio IdeaBox inviato con successo!");
    }

    function ib_errorHandler(e){
        $.ui.hideMask();
    }
});