function galleryInit(user_id,load){
    $('.profile_menu .button').removeClass('selected');
    $('.friendGallery').addClass('selected');

    gifLoading("#profile_"+user_id+" div.profile_text");

    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/ketchapp/get_user_images/",
        data    : {user_id: user_id},
        success : function(dataDue){
            var text = $.parseJSON(dataDue);

            var html = parseGallery(text,user_id);

            $("#profile_"+user_id+" div.profile_text").html(html);
        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });
    // ID, url, thumb, date
}

function galleryUploadImage(){
    //http://gayardo.mobi/api/ketchapp/upload_image/
    //-> cookie + file ('attachment')
    jQuery('#UPsubmitMegaForm').click( function(){jQuery(document).trigger('triggo');} );
    // change classes of files
    $('#UPattachment').change( function(evt){
        var one = $("#UPattachment");
        if(one.val().length > 0){
            one.parent().addClass('fileok');
        } else {
            one.parent().removeClass('fileok');
        }
    });
}

function galleryDelImage(id){
    //http://gayardo.mobi/api/ketchapp/delete_user_image/
    //-> cookie + image_id (ID immagine);
    $.ui.popup( {
        title:"Cancella immagine",
        message:"Vuoi davvero cancellare questa immagine?",
        cancelText:"Annulla",
        cancelCallback: function(){
            console.log("annulla" + id);
            $.ui.hideMask();
        },
        doneText:"Ok",
        doneCallback: function(){
            $.ui.showMask();
            $.ajax({
                type    : "POST",
                url     : ajaxUrlHome + "api/ketchapp/delete_user_image/",
                data    : {cookie: wpcookie, image_id: id},
                success : function(data){
                    $.ui.hideMask();
                    $("#img_"+id).parent().remove();
                    error("profile_error", "Foto eliminata!");
                },
                error   : function(){
                    $.ui.hideMask();
                    error("profile_error", sys["NoConnect"]);
                }
            });
        },
        cancelOnly:false
    });
}

function parseGallery(text,user_id){
    var html = "";


    // Fisso l'altezza in base alle dimensioni dello schermo
    var imgWidth = window.innerWidth;
    imgWidth = imgWidth - 8; // Tolgo il padding dell'ul
    if( imgWidth > 768 ) {
        imgWidth = imgWidth - 256; // Tolgo la larghezza della barra laterale
        if( user_id == pid ) {
            imgWidth = parseInt(imgWidth / 3) - 28; // Tolgo il padding delle immagini e ne ho 3 in fila (galleria propria)
        } else {
            imgWidth = parseInt(imgWidth / 3)/2 - 28; // Tolgo il padding delle immagini e ne ho 4 in fila (galleria di un altro utente)
        }
    } else {
        imgWidth = parseInt(imgWidth / 3) - 28; // Tolgo il padding delle immagini
    }


    if(text.status == "error" && user_id != pid ){
        html += "<p class='supa'>Non sono presenti foto</p>";
    } else {
        html += "<ul class='gallery'>";
        if( user_id == pid ) {
            html += "<li id='attachments_"+attachments+"'>";
            html += "<img src='./app/content/images/addPicture.png' onclick='addGalleryPic();' style='height:"+imgWidth+"px'>";
            html += "</li>";
        }
        for(i in text.images){
            html += "<li>";
            //html += "<span class='button icon-circleadd'></span>";

            html += "<img src='" + text.images[i].thumb + "' id='img_" + text.images[i].ID + "' data-date='" + text.images[i].date + "'  style='height:"+imgWidth+"px' onclick=\"zoomImage('" + text.images[i].url + "');\">";

            if(user_id == pid){
                html += "<span class='button icon-circledelete' onclick=\"galleryDelImage(" + text.images[i].ID + ");\"></span>";
            }

            html += "</li>";
        }
        html += "</ul>";
    }

    return html;
}


function zoomImage(url){
    var html = "<img src='" + url + "'>";
    $.ui.updateContentDiv("#zoom",html);
    $.ui.showModal("#zoom","fade");
}