var attachments = 0;

function addNoticePic() {
    $.ui.popup( {
        message: "<a href='javascript:void(0);' onClick='pictureSelection(\"library\",\"notice\");' class='button full'>"+sys['chooseLibrary']+"</a><a href='javascript:void(0);' onClick='pictureSelection(\"camera\",\"notice\");' class='button full'>"+sys['chooseCamera']+"</a><br><br>",
        cancelText: sys["BtnCancel"],
        cancelCallback: function(){},
        cancelOnly:true,
        suppressTitle: true
    });
}


function pictureSelection(source, destination) {
    if( source == 'library') {
        var options = { quality: 50, destinationType: navigator.camera.DestinationType.FILE_URI, correctOrientation: true, sourceType: navigator.camera.PictureSourceType.PHOTOLIBRARY};
    } else if( source == 'camera') {
        var options = { quality: 50, destinationType: navigator.camera.DestinationType.FILE_URI, correctOrientation: true,saveToPhotoAlbum: true }
    }

    navigator.camera.getPicture(
        function(uri) {
            if( destination == 'avatar') {
                uploadAvatar(uri);
            } else if( destination == 'gallery') {
                uploadGallery(uri, attachments);
            } else if( destination == 'notice') {
                uploadNotice(uri, imagesNotice.length);
            }
        },
        function(e) {
            console.log("Error getting picture: " + e);
            document.getElementById('camera_status').innerHTML = "Error getting picture.";
        },
        options);
}

function captureSuccessFn(mediaFiles) {
    uploadMedia( mediaFiles[0] ,'video', attachments);
}
function captureErrorFn(error) {
    var msg = 'An error occurred during capture: ' + error.code;
    navigator.notification.alert(msg, null, 'Uh oh!');
}
function captureVideo() {
    navigator.device.capture.captureVideo(captureSuccessFn, captureErrorFn, {limit: 1});
}


function uploadNotice(mediaFile, imagesNoticeID ) {
    var urlServer = ajaxUrlHome + 'api/ketchapp/upload_image/';

    // Transfer picture to server
    var ft = new FileTransfer();
    var options = new FileUploadOptions();
    options.fileKey = "attachment";
    options.params = { 'cookie': wpcookie };
    options.chunkedMode = false;

    var mediaFileIMG;
    options.fileName = mediaFile.substr(mediaFile.lastIndexOf('/')+1);
    //options.mimeType="image/jpeg";

    var path = mediaFile;

    mediaFileIMG = mediaFile;

    var html = '<div id="imageNotice_'+imagesNoticeID+'">';
    html += '<img src="'+mediaFileIMG+'">';
    html += '<span class="upload_progress">0%</span>';
    html += '<span class="upload_abort button icon-circledelete"></span>';
    html += '</div>';

    $("#imagesNoticeContainer").prepend( html );
    imagesNotice.push('TMP');

    // Upload Progress
    ft.onprogress = function(progressEvent) {
        if (progressEvent.lengthComputable) {
            var perc = Math.floor(progressEvent.loaded / progressEvent.total * 100);
            $('#imageNotice_'+imagesNoticeID+' .upload_progress').html(perc+" %");
        } else {
            $('#imageNotice_'+imagesNoticeID+' .upload_progress').html('Uploading');
        }
    };

    ft.upload( path, urlServer, function(r) {
        var resultObj = $.parseJSON( r.response );

        $('#imageNotice_'+imagesNoticeID+' .upload_progress').remove();
        $('#imageNotice_'+imagesNoticeID+' .upload_abort').remove();

        $('#imageNotice_'+imagesNoticeID).append("<span class='button icon-circledelete' onclick=\"galleryDelImage(" + resultObj.attach_id + ");\"></span>");
        $('#imageNotice_'+imagesNoticeID+' img').attr("src", resultObj.attach_thumbnail );
        $('#imageNotice_'+imagesNoticeID+' img').attr("onclick", "zoomImage('" + resultObj.attach_url + "');" );

        console.log("upload" + resultObj.attach_thumbnail + " : " + resultObj.attach_url);

        imagesNotice.splice( imagesNotice.indexOf("TMP"), 1);
        imagesNotice.push({
            "ID": resultObj.attach_id,
            "thumb": resultObj.attach_thumbnail,
            "url": resultObj.attach_url
        });
        //$("#imagesNoticeContainer").prepend(addnewPopulate(imagesNotice[imagesNotice.length - 1]));
       // addnewPopulate();

    }, function(error) {
        $('#imageNotice_'+imagesNoticeID+' .upload_progress').html("ERROR");
        $('#imageNotice_'+imagesNoticeID+' .upload_abort').remove();
        imagesNotice.splice( imagesNotice.indexOf("TMP"), 1);
        imagesNotice.push('ERROR'); // Tengo un elemento nell'array anche se non mi serve perchè sennò mi sputtana gli indici
    }, options);

    $('#imageNotice_'+imagesNoticeID+' .upload_abort').bind('click', function() {
        $.ui.popup( {
            message: "Interrompere il caricamento?",
            cancelText: sys["BtnCancel"],
            cancelCallback: function(){},
            doneText:"Ok",
            doneCallback: function(){
                ft.abort( function(r) {
                    $('#imageNotice_'+imagesNoticeID).remove();
                    imagesNotice.splice( imagesNotice.indexOf("TMP"), 1);
                    imagesNotice.push('ABORTED'); // Tengo un elemento nell'array anche se non mi serve perchè sennò mi sputtana gli indici

                }, function(e) {
                    $('#imageNotice_'+imagesNoticeID+' .upload_progress').html('Abort Error');
                });
            },
            cancelOnly:false,
            suppressTitle: true
        });

    });
}