function getAroundUsers(){
    $(document).unbind("geoDone").bind("geoDone",function(){
        $(document).unbind("geoDone");
        var dataAjax;
        if(currentPosition){
            dataAjax = {cookie: wpcookie, user_lat: latitudeP, user_lng: longitudeP};
        } else {
            dataAjax = {cookie: wpcookie };
        }

        $.ajax({
            type    : "POST",
            url     : ajaxUrlHome + "api/ketchapp/members_list/",
            data    : dataAjax,
            success : function(dataDue){
                var data = $.parseJSON(dataDue);
                var uhtml = '';
                if( data.status == 'error' && data.error == 'no position' ) {
                    uhtml = 'Nessuna posizione disponibile per il calcolo della distanza!';
                } else {
                    if(!currentPosition){
                        uhtml += '<p>Attiva il gps per avere le posizioni aggiornate!</p>';
                    }
                    uhtml += genUsersList(dataDue);
                }

                $('#membersList').html(uhtml);

                refresherize('users', 'getAroundUsers');

            },
            error   : function(){
                error("profile_error", sys["NoConnect"]);
                refresherize('users', 'getAroundUsers');
            }
        });
    });
    getPos();
}

function getOnlineUsers(){
    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/ketchapp/online_users/",
        data    : {cookie: wpcookie},
        success : function(dataDue){
            var uhtml = genUsersList(dataDue);
            $('#membersOnline').html(uhtml);

            refresherize('users_o', 'getOnlineUsers');
        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);
            refresherize('users_o', 'getOnlineUsers');
        }
    });
}

function genUsersList(dataDue){
    var uhtml = "";
    uhtml += "<ul class='users'>";
    var online = "online";
    var users = $.parseJSON(dataDue);
    var k = 0;

    var imgWidth = window.innerWidth;
    if( imgWidth > 768 ) {
        imgWidth = imgWidth - 256; // Tolgo la larghezza della barra laterale
    }
    imgWidth = imgWidth - 8; // Tolgo il padding dell'ul
    imgWidth = parseInt(imgWidth / 4) - 4; // Tolgo il padding delle immagini

    for(var i in users.members){

        if(users.members[i].status != undefined){
            if(users.members[i].status == "offline"){
                online = "";
            } else {
                online = "online";
            }
        }

        var dist = "";
        if(users.members[i].distance != undefined){

            dist = parseDistance(users.members[i].distance);
        }

        var sex = "";//users.members[i].sex.charAt(0).toLowerCase();

        if(users.members[i].user_id != pid){
            uhtml += "<li><span class='dist "+sex+"'>"+dist+"</span><a href='javascript:void(0);' onclick=\"genFriendPages('"+users.members[i].user_id+"','"+users.members[i].user_nicename+"'); $.ui.loadContent('#profile_"+users.members[i].user_id+"')\"><img src='"+users.members[i].avatar+"' style='height: "+imgWidth+"px'><span class='"+online+"'>" + stringTrimmer( users.members[i].user_nicename,12,24 ) + "</span></a></li>";
        } else {k =1;}

    }

    uhtml += "</ul>";
    if(users.members != undefined && users.members.length - k <= 0){
        uhtml = "<p class='supa'>Non ci sono utenti online oltre a te!</p>";
    }
    return uhtml;
}


function parseDistance(dist){
    if(dist >1000){
        dist = Math.ceil(dist/1000) + "Km";
    } else {
        dist = Math.ceil(dist) + "m";
    }
    return dist;
}