var FBlog = 'loggedout';
var fAccessToken;

function facebookInit(){
    // add the CSS
    var facebookCSS = document.createElement("link");
    facebookCSS.rel = "stylesheet";
    facebookCSS.type= "text/css";
    facebookCSS.href= "./app/core/plugins/facebook/facebook.css";
    $("head").append(facebookCSS);

    if( $.os.ios || $.os.android ){
        FB.init({
            appId: facebookAppID,
            nativeInterface: CDV.FB,
            useCachedDialogs: false
        });
        var btnShare = '<button class="button full iconsocial-facebook facebook" onclick="facebookWallPost()" id="btnsh">'+sys['FacebookShare']+'</button>';
        $('#popupContent').prepend(btnShare);

        var btnLog = '<button class="button full iconsocial-facebook facebook" onclick="login()" id="btnlo">'+sys['FacebookLogin']+'</button>';
        $('#preLogin').prepend(btnLog);

        //getLoginStatus();
        if( localStorage.getItem('facebook') ) {
            getLoginStatus();
        }

        $('#btnlo').show();
        $('#btnsh').hide();

        // Triggering loggedIn
        $("#area51").on("loggedIn",function(){
            if( FBlog == 'loggedin' || localStorage.getItem("facebook") ) {
                $('#logoutbt').addClass('iconsocial-facebook facebook');
                $('#logoutbt').attr('onclick','logout()');
                $('#btnlo').hide();
                $('#btnsh').show();
                localStorage.setItem('facebook', 'true');
            }
        });
        // Triggering loggedOut
        $("#area51").on("loggedOut",function(){
            $('#btnlo').show();
            $('#btnsh').hide();
        });
        $("#area51").on("FBlogout",function(){
            FBlog = 'loggedout';
            localStorage.removeItem('facebook');
            logoutUser();
            $('#btnlo').show();
            $('#btnsh').hide();
        });
    }
}

function getLoginStatus() {
    FB.getLoginStatus(function(response) {
        login();
    });
}

function login() {
    FB.login(
        function(response) {
            $.ui.showMask();
            if (response.status == "connected") {
                fAccessToken = response.authResponse.accessToken;
                facebookRegister();
            }
        },
        { scope: "email,user_birthday" }
    );
}

function logout() {
    FB.logout(function(response) {
        $("#area51").trigger("FBlogout");
    });
}

function facebookWallPost() {
    var params = {
        method: 'feed',
        name: fbShareTit,
        link: fbShareLin,
        picture: fbSharePic,
        caption: fbShareCap[localStorage.getItem("lang")],
        description: fbShareDes[localStorage.getItem("lang")]
    };
    FB.ui(params, function(obj) { console.log(obj);});
}

function facebookRegister(){
    var r;
    $.ui.showMask('loading...');
    FB.api('/me', function(responser) {
        r = responser;
        namer = r.name.split(' ');
        r.fname = namer[0];
        r.lname = namer[1];
        pass    = parseInt(r.id);
        r.pass  = pass.toString(16);
        FBlog = 'loggedin';
        registerUser(r);
    });
}

function facebookGraphPage(what, title, clientid) {
    $.ui.addContentDiv(what+"Facebook",'', title);
    $('#eventsFacebook').data("load","facebookGraphLoad").data("graphtype",what).data("clientid",clientid);
    $("#area51").on("loggedIn",function(){
        if( FBlog == 'loggedin' || localStorage.getItem("facebook") ) {
            $.ui.showMask('loading...');
            facebookGetGraph(clientid,what);
        }
    });
    $("#area51").on("FBlogout",function(){
        $.ui.showMask('loading...');
        facebookGetGraph(clientid,what);
    });
}
function facebookGraphLoad(obj) {
    $obj = $(obj);
    var what = $obj.data('graphtype');
    var clientID = $obj.data('clientid');

    var errorHtml = sys["NoConnect"] + sys["LogWithFacebook"] + sys['FacebookLogin'];

    if( $('#'+what+'Facebook').text() == '' || $('#'+what+'Facebook').text() == errorHtml ) {
        /* MASK */
        $.ui.showMask('loading...');
        /* MASK */

        facebookGetGraph(clientID, what);
    }
}

// TODO: @dstrumendo DO THIS!
function facebookGetGraph(clientID,what){
    //TODO: condizione se non loggato
    FB.api('/' + clientID + '/' + what, function(responser) {
        if (responser.error) {
            $.ui.hideMask();
            var newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
            newHtml += "<p class='high'>" + sys["LogWithFacebook"] + "</p>";
            newHtml += '<button class="button full iconsocial-facebook facebook" onclick="login()" id="btnlo">'+sys['FacebookLogin']+'</button>';

            $.ui.updateContentDiv(what+"Facebook",newHtml);
        } else {
            r = responser;
            var htmlWhat = "<ul>";

            for(i in r.data){

                var name = r.data[i].name;
                var start_time = r.data[i].start_time;
                start_time = start_time.split("T");
                var start_date = start_time[0];

                var start_date_array = start_date.split("-");
                var start_year = start_date_array[0];
                var start_month = start_date_array[1];
                var start_day = start_date_array[2];
                start_date = start_day+"/"+start_month+"/"+start_year;

                var start_hour = start_time[1];
                start_hour = start_hour.substring(0, (start_hour.length-8) );

                var end_time = r.data[i].end_time;
                end_time = end_time.split("T");
                var end_date = end_time[0];

                var end_date_array = end_date.split("-");
                var end_year = end_date_array[0];
                var end_month = end_date_array[1];
                var end_day = end_date_array[2];
                end_date = end_day+"/"+end_month+"/"+end_year;

                var end_hour = end_time[1];
                end_hour = end_hour.substring(0, (end_hour.length-8) );

                var location = r.data[i].location;
                var id = r.data[i].id;
                var link = "http://m.facebook.com/" + what + "/" + id;

                //htmlWhat += "<li onclick=\"window.plugins.childBrowser.showWebPage('"+link+"');\" class='FBevList'>";
                htmlWhat += "<li class='FBevList'><a href='fb://profile/"+ id +"' target='_blank' rel='external'>";
                htmlWhat += "<div class='FBevCal'>";
                htmlWhat += "<div class='FBevMonth'><p>"+sys["monthsShortArray"][start_month-1]+"</p></div>";
                htmlWhat += "<div class='FBevDay'><p>"+start_day+"</p></div>";
                htmlWhat += "</div>";
                htmlWhat += "<span class='FBevTitle'>"+name+"</span><br>";
                htmlWhat += "<span class='FBevLocation'>"+location+"</span><br>";
                htmlWhat += "<span class='FBevDate'>Dal "+start_date+" ore "+start_hour+", al "+end_date+" ore "+end_hour+"</span>";
                //htmlWhat += "</li>";
                htmlWhat += "</a></li>";
            }
            htmlWhat += "</ul>";

            if( htmlWhat == '<ul></ul>') htmlWhat = '<p>'+sys["NoFbEvents"]+'</p>';

            $.ui.updateContentDiv("#"+what+"Facebook",htmlWhat);
            $.ui.hideMask();
        }
    });
}

/*  below this line: NOT USED YET  */
/* *** *** *** *** *** *** *** *** */
/* *** *** *** *** *** *** *** *** */
/* *** *** *** *** *** *** *** *** */
/* *** *** *** *** *** *** *** *** */
/* *** *** *** *** *** *** *** *** */
/* *** *** *** *** *** *** *** *** */
/* *** *** *** *** *** *** *** *** */

function publishStoryFriend() {
    randNum = Math.floor ( Math.random() * friendIDs.length );

    var friendID = friendIDs[randNum];
    if (friendID == undefined){
        alert('please click the me button to get a list of friends first');
    }else{
        console.log("friend id: " + friendID );
        console.log('Opening a dialog for friendID: ', friendID);
        var params = {
            method: 'feed',
            to: '',
            name: 'Facebook Dialogs',
            link: 'https://developers.facebook.com/docs/reference/dialogs/',
            picture: 'http://fbrell.com/f8.jpg',
            caption: 'Reference Documentation',
            description: 'Dialogs provide a simple, consistent interface for applications to interface with users.'
        };
        FB.ui(params, function(obj) { console.log(obj);});
    }
}

var friendIDs = [];
var fdata;
function me() {
    FB.api('/me/friends', { fields: 'id, name, picture' },  function(response) {
        if (response.error) {
            alert(JSON.stringify(response.error));
        } else {
            var data = document.getElementById('data');
            fdata=response.data;
            //console.log(JSON.stringify(fdata));
            response.data.forEach(function(item) {
                var d = document.createElement('div');
                d.innerHTML = "<img src='"+item.picture.data.url+"' />"+item.name;
                data.appendChild(d);

            });
        }
        var friends = response.data;
        //console.log(friends.length);
        for (var k = 0; k < friends.length && k < 200; k++) {
            var friend = friends[k];
            var index = 1;

            friendIDs[k] = friend.id;
            //friendsInfo[k] = friend;
        }
        //console.log("friendId's: "+friendIDs);
    });
}