var animationStarted = false;
var galleryCount = 0;
var galleryIds = new Array();
var galleryLenghts = new Array();
var galleryIndexes = new Array();

var openedGallery;

function galleryHud() {
    if( $('#galleryHud').css("display") == "none" ) {
        if ( androidversion < 4.1 ) {
            $('#galleryHud').show();
        } else $('#galleryHud').fadeIn("100ms");
    } else {
        if ( androidversion < 4.1 ) {
            $('#galleryHud').hide();
        } else $('#galleryHud').fadeOut("200ms",null,0);
    }
}
function openGallery(div) {
    $.ui.blockUI(.01);
    galleryId = $(div).data("gallery");
    openedGallery = galleryIds.indexOf(galleryId);

    var thumblist = '';
    var thumbInd = 0;
    $("#"+galleryId+" img").each( function() {
        if( thumbInd != 0 && thumbInd != galleryLenghts[openedGallery]+1 ) {
            if ( thumbInd == galleryIndexes[openedGallery]+1 ) {
                var isThumbSelected = 'class="selectThumb"';
            } else var isThumbSelected = '';
            thumblist += '<img src="'+this.src+'" '+isThumbSelected+' id="'+galleryId+'_thumb'+thumbInd+'" onClick="galleryGoTo(\''+thumbInd+'\', \''+galleryId+'\')" />';
        }
        thumbInd++;


        if(!smartphone) {
            var exceed = (Math.round(this.naturalHeight*(window.innerWidth-20)/this.naturalWidth)-(window.innerHeight-20))/2;
            if( exceed > 0 ) {
                $(this).css("margin-top", "-"+exceed+"px" );
            } else {
                $(this).css("margin-top", (exceed*(-1))+"px" );
            }
        } else {
            var exceed = ( Math.round( (this.naturalWidth*(window.innerWidth-20))/this.naturalHeight -(window.innerWidth-20)))/2;
            if( exceed > 0 ) {
                $(this).css("margin-left", "-"+exceed+"px" );
            } else {
                $(this).css("margin-left", (exceed*(-1))+"px" );
            }
        }
    });

    $('#thumbGallery').html(thumblist);

    window.setTimeout( function() {
        $.ui.unblockUI();
        $('#galleryPop').fadeIn();
        $('#'+galleryId).fadeIn();

        window.setTimeout( function() {
            if ( androidversion < 4.1 ) {
                $('#galleryHud').hide();
            } else $('#galleryHud').fadeOut("200ms",null,0);

            $('#'+galleryId).unbind().bind("click", function() {
                galleryHud();
            });
        },1000);

    }, 1000);

}

function closeGallery() {
    $('#galleryPop').fadeOut("300ms",null,0);
    $('#'+galleryIds[openedGallery]).fadeOut("300ms",null,0);

    $('#'+galleryIds[openedGallery]).unbind("click");

    openedGallery = '';
}

function galleryGoTo(ind, galleryId) {
    var msVel = 5; // Duration of the translation
    var currGall = galleryIds.indexOf(galleryId);

    if( smartphone ) var dirGallery = "top";
    else var dirGallery = "left";

    if ( !animationStarted ) {
        animationStarted = true;
        var currDir = parseInt($("#"+galleryId).css(dirGallery));
        var destDir = -(ind*100);

        var smoothVel = (currDir-destDir)/10;
        var animPx = smoothVel;
        var animation = window.setInterval( function(){

            $("#"+galleryId).css(dirGallery, (currDir-animPx)+"%");
            animPx += smoothVel;

            if ( Math.abs(animPx) > Math.abs(smoothVel*10) ) {
                clearInterval(animation);

                galleryIndexes[currGall] = ind-1;

                animationStarted = false;
                $('.selectThumb').removeClass('selectThumb');
                $('#'+galleryId+'_thumb'+ind).addClass('selectThumb');
            }
        },msVel);
    }
}

function downControl(currGall, galleryId) {
    if( galleryIndexes[currGall] == -1 ) {
        $(galleryId).css("top", "-"+(galleryLenghts[currGall])*100+"%");
        galleryIndexes[currGall] = galleryLenghts[currGall]-1;
        return true;
    } else return true;
}

function upControl(currGall, galleryId) {
    if( galleryIndexes[currGall] == galleryLenghts[currGall] ) {
        $(galleryId).css("top", "-100%");
        galleryIndexes[currGall] = 0;
        return true;
    } else return true;
}

function rightControl(currGall, galleryId) {
    if( galleryIndexes[currGall] == -1 ) {
        $(galleryId).css("left", "-"+(galleryLenghts[currGall])*100+"%");
        galleryIndexes[currGall] = galleryLenghts[currGall]-1;
        return true;
    } else return true;
}

function leftControl(currGall, galleryId) {
    if( galleryIndexes[currGall] == galleryLenghts[currGall] ) {
        $(galleryId).css("left", "-100%");
        galleryIndexes[currGall] = 0;
        return true;
    } else return true;
}

function scrollGallery(dir, galleryId) {
    var currGall = galleryIds.indexOf(galleryId.id);

    var smoothVel = 10; // % of translation, must be a divisor of 100!
    var msVel = 5; // Duration of the translation

    if ( !animationStarted && smartphone ) {
        animationStarted = true;
        currTop = parseInt($(galleryId).css("top"));


        var animPx = smoothVel;
        if ( dir.down ) {
            var animation = window.setInterval( function(){
                $(galleryId).css("top", (currTop+animPx)+"%");
                animPx += smoothVel;

                if (animPx > 100 ) {
                    clearInterval(animation);

                    galleryIndexes[currGall]--;

                    // We've reached the first one! Go to the last!
                    if ( downControl(currGall, galleryId) ) {
                        animationStarted = false;
                        $('.selectThumb').removeClass('selectThumb');
                        $('#'+galleryId.id+'_thumb'+(galleryIndexes[currGall]+1)).addClass('selectThumb');
                    }

                }
            },msVel);

        } else if( dir.up ) {
            var animation = window.setInterval( function(){
                $(galleryId).css("top", (currTop-animPx)+"%");
                animPx += smoothVel;
                if (animPx > 100 ) {
                    clearInterval(animation);

                    galleryIndexes[currGall]++;

                    // We've reached the last one! Go to the first!
                    if ( upControl(currGall, galleryId) ) {
                        animationStarted = false;
                        $('.selectThumb').removeClass('selectThumb');
                        $('#'+galleryId.id+'_thumb'+(galleryIndexes[currGall]+1)).addClass('selectThumb');
                    }
                }
            },msVel);
        } else {
            animationStarted = false;
        }
    } else if ( !animationStarted && !smartphone ) {
        animationStarted = true;
        currLeft = parseInt($(galleryId).css("left"));


        var animPx = smoothVel;
        if ( dir.right ) {
            var animation = window.setInterval( function(){
                $(galleryId).css("left", (currLeft+animPx)+"%");
                animPx += smoothVel;

                if (animPx > 100 ) {
                    clearInterval(animation);

                    galleryIndexes[currGall]--;

                    // We've reached the first one! Go to the last!
                    if ( rightControl(currGall, galleryId) ) {
                        animationStarted = false;
                        $('.selectThumb').removeClass('selectThumb');
                        $('#'+galleryId.id+'_thumb'+(galleryIndexes[currGall]+1)).addClass('selectThumb');
                    }
                }
            },msVel);

        } else if( dir.left ) {
            var animation = window.setInterval( function(){
                $(galleryId).css("left", (currLeft-animPx)+"%");
                animPx += smoothVel;
                if (animPx > 100 ) {
                    clearInterval(animation);

                    galleryIndexes[currGall]++;

                    // We've reached the last one! Go to the first!
                    if ( leftControl(currGall, galleryId) ) {
                        animationStarted = false;
                        $('.selectThumb').removeClass('selectThumb');
                        $('#'+galleryId.id+'_thumb'+(galleryIndexes[currGall]+1)).addClass('selectThumb');
                    }
                }
            },msVel);
        } else {
            animationStarted = false;
        }
    }
}


function galleryStart() {

    // add the CSS
    var galleryCSS = document.createElement("link");
    galleryCSS.rel = "stylesheet";
    galleryCSS.type= "text/css";
    galleryCSS.href= "./app/core/plugins/gallery/gallery.css";
    $("head").append(galleryCSS);

    // add the HUD
    var hudGallery = '<div id="galleryHud">';
    hudGallery    += '    <span id="galleryClose" onclick="$.ui.goBack()" class="button">'+sys["BtnClose"]+'</span>';
    hudGallery    += '    <span id="thumbGallery"></span>';
    hudGallery    += '</div>';

    $("#galleryPop").prepend(hudGallery);

    // Prepare the gallery! Scan the #galleryPop div and start everything!
    $("#galleryPop .galleryS").each( function() {
        galleryIds[galleryCount] = $(this).attr('id');
        galleryLenghts[galleryCount] = $(this).children().length;
        galleryIndexes[galleryCount] = 0;


        // Generate a Page for every gallery!
        var staticGallery = '<div class="galleryPage">';
        staticGallery += '<img src="./app/core/plugins/gallery/images/rotate-smartphone.png" class="smartphoneonly" />';
        staticGallery += '<img src="./app/content/images/loading.gif" />';
        staticGallery += '</div>';

        $.ui.addContentDiv("gallery_"+galleryIds[galleryCount], staticGallery, sys["GalleryTitle"]);
        $("#gallery_"+galleryIds[galleryCount]).data("gallery",galleryIds[galleryCount]).data("load","openGallery").data("unload","closeGallery");


        if ( $(this).children().length < ( galleryLenghts[galleryCount]+1) ) {
            $(this).prepend( $(this).clone().children()[galleryLenghts[galleryCount]-1]);
            $(this).append( $(this).clone().children()[1]);
        }


        if(!smartphone) {
            // If tablet I need to set the full width
            $(this).css("width",(window.innerWidth-20)*(galleryLenghts[galleryCount]+2)+"px");
            $(this).css("left", "-100%");
        } else {
            $("#galleryHud").css("width", (window.innerHeight-20)+"px" ).css("left", "-"+((window.innerHeight-20)-48)+"px" );
            $(this).css("top", "-100%");
        }

        $("#"+galleryIds[galleryCount]).swipeListener({
            hthreshold:50,
            vthreshold:50,
            callBack:function(dir) { scrollGallery(dir, this.el ); }
        });

        galleryCount++;
    });

    // Css fixes to the rotated img
    $(".galleryS img").each( function() {
        if(smartphone) {
            $(this).css("height", (window.innerWidth-20)+"px" );
            $(this).css("margin-top", "-"+(window.innerWidth-20)/2+"px" );
            $(this).parent().css("height", (window.innerHeight-20)+"px" );
        } else {
            $(this).parent().css("width", (window.innerWidth-20)+"px" );
            $(this).parent().css("height", (window.innerHeight-20)+"px" );
        }

        // Add hardware acceleration to iOs devices, faster!!!
        if($.os.ios) {
            $(this).css("-webkit-backface-visibility","hidden");
        }
    });
}