function changeLang(lname) {
    if( localStorage.getItem("lang") != lname ) {
        localStorage.setItem("lang",lname);
        $('#afui').fadeOut("200ms", function() { location.reload(true) },0);
    }
}

function chooseLang(lang) {
    localizer("language", lang );
    $('#popupLanguage').fadeOut("300ms",null,0);
}


function localizer(fname, lname){
    $.jsonP({
            url: "./app/language/" + fname + "-" + lname + ".json?callback=?",
            success:function(data){
                languageBack(data);
            }
        }
    );
    localStorage.setItem("lang",lname);
}

function languageBack(data){
    // change SYS variables
    sys = data.sys;

    // TODO: wiki this!
    $("[data-page]").each( function() {
        if ( $(this).data("page") != localStorage.getItem("lang") ) $(this).hide();
    });


    // change content
    $("[data-localize]").each( function(){
        dt = $(this);
        hey = dt.data('localize');
        dt.html(data[hey]);
    } );

    $("[data-localizevar]").each( function(){
        dt = $(this);
        hey = dt.data('localizevar');
        dt.html(data.sys[hey]);
    } );


    // change titles
    $("[data-localtitle]").each( function(){
        dt = $(this);
        hey = dt.data('localtitle');
        dt.attr("title", data[hey]);
    } );

    $("[data-localtitlevar]").each( function(){
        dt = $(this);
        hey = dt.data('localtitlevar');
        dt.attr("title", data.sys[hey]);
    } );

    //this update also actual title!
    nowHash = location.hash.replace("#","");
    getHash = $("#" + nowHash).data("localtitle");
    $("#pageTitle").html(data[getHash]);

    // change placeholders
    $("[data-localplaceholder]").each( function(){
        dt = $(this);
        hey = dt.data('localplaceholder');
        dt.attr("placeholder", data[hey]);
    } );

    // change BackButtonText!
    $("#backButton").html(sys["BtnBack"]);
    $.ui.backButtonText = sys["BtnBack"];

    $(document).trigger("appLaunch");
}