function rssStart(){
    // add the CSS
    var rssCss = document.createElement("link");
    rssCss.rel = "stylesheet";
    rssCss.type= "text/css";
    rssCss.href= "./app/core/plugins/rss/rss.css";

    $("head").append(rssCss);

    var rssDiv = "<div><img src='./app/core/plugins/rss/images/rss.png'></div><h1 class=>"+ rssTitle+ "</h1>";
    rssDiv += "<div id='rssres'></div>";

    $.ui.addContentDiv("rss",rssDiv,sys["RssTitle"]);
    $('#rss').data("load","rssLaunch");
}

function rssLaunch(){

    if( $('#rssres').text() == '' || $('#rssres').text() == sys["NoConnect"]) {
        /* MASK */
        $.ui.showMask('loading...');
        /* MASK */
        $.ajax({
            url      : rssLink + "&_callback=?",
            dataType : 'jsonp',
            crossDomain: true,
            success  : function(data) {
                itema = data.value.items;

                news = "<ul class='rssStyle'>";
                for(i in itema){
                    if(itema[i].title != null){
                        title = stringTrimmer(itema[i].title, 20, 52);

                        news += "<li>";
                        news += '<a href="javascript:void(0); " class="icon" onclick="window.plugins.childBrowser.showWebPage(\''+itema[i].link+'\');">'+title+'</a>';
                        news += "</li>";
                    }
                }
                news += "</ul>";

                $.ui.updateContentDiv("rssres",news);
                $.ui.hideMask();
            },

            error: function(){
                var newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
                $.ui.updateContentDiv("rssres",newHtml);
                $.ui.hideMask();
            }
        });
    }
}
