/* Events Reader */

function youtubeStart(){
    // add the CSS
    var youtubeCss = document.createElement("link");
    youtubeCss.rel = "stylesheet";
    youtubeCss.type= "text/css";
    youtubeCss.href= "./app/core/plugins/youtube/youtube.css";

    $("head").append(youtubeCss);

    $.ui.addContentDiv("youtube",'',sys["YoutubeTitle"]);
    $('#youtube').data("load","youtubeLaunch");
}

function youtubeLaunch(){
    var meHtml = "";

    var title;
    var youtubeURL;
    var thumbURL;

    if( $('#youtube').text() == '' || $('#youtube').text() == sys["NoConnect"]) {
        /* MASK */
        $.ui.showMask('loading...');
        /* MASK */

        $.ajax({
            type: 'GET',
            url      : youtubeLink,
            dataType : 'json',
            crossDomain: true,
            success  : function(data) {
                entrya = data.feed.entry;
                meHtml = "<ul class='youtubeStyle'>";
                for(i in entrya){
                    if(entrya[i].title != null){
                        title = stringTrimmer(entrya[i].title.$t, 20, 52);
                        youtubeURL = entrya[i].link[0].href;
                        thumbURL = entrya[i].media$group.media$thumbnail[1].url;

                        meHtml += "<li>";
                        meHtml += '<a href="javascript:void(0); " onclick="window.plugins.childBrowser.showWebPage(\''+youtubeURL+'\');"><img src="'+thumbURL+'">'+title+'</a>';
                        meHtml += "</li>";
                    }
                }

                meHtml += "</ul>";

                $.ui.updateContentDiv("#youtube",meHtml);
                $.ui.hideMask();
            },

            error: function(){
                $.ui.hideMask();
                newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
                $.ui.updateContentDiv("youtube",newHtml);
            }
        });
    }
}
