/* Load this script using conditional IE comments if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'icon\'">' + entity + '</span>' + html;
	}
	var icons = {
			'icon-home' : '&#x21;',
			'icon-image' : '&#x22;',
			'icon-home-2' : '&#x23;',
			'icon-home-3' : '&#x24;',
			'icon-bubbles' : '&#x25;',
			'icon-cog' : '&#x26;',
			'icon-cogs' : '&#x27;',
			'icon-cog-2' : '&#x28;',
			'icon-earth' : '&#x29;',
			'icon-facebook' : '&#x2a;',
			'icon-facebook-2' : '&#x2b;',
			'icon-facebook-3' : '&#x2c;',
			'icon-twitter' : '&#x2d;',
			'icon-twitter-2' : '&#x2e;',
			'icon-twitter-3' : '&#x2f;',
			'icon-google-plus' : '&#x30;',
			'icon-google-plus-2' : '&#x31;',
			'icon-google-plus-3' : '&#x32;',
			'icon-user' : '&#x33;',
			'icon-users' : '&#x34;',
			'icon-arrow-left' : '&#x35;',
			'icon-cog-3' : '&#x36;',
			'icon-minus' : '&#x37;',
			'icon-list' : '&#x38;',
			'icon-blocked' : '&#x39;',
			'icon-list-2' : '&#x3a;',
			'icon-star' : '&#x3b;',
			'icon-star-2' : '&#x3c;',
			'icon-camera' : '&#x3d;',
			'icon-map-marker' : '&#x3e;',
			'icon-pin-alt' : '&#x3f;',
			'icon-home-4' : '&#x40;',
			'icon-uniF470' : '&#x41;',
			'icon-uniF471' : '&#x42;',
			'icon-uniF479' : '&#x43;',
			'icon-uniF478' : '&#x44;',
			'icon-addfriend' : '&#x45;',
			'icon-removefriend' : '&#x46;',
			'icon-uniF00F' : '&#x47;',
			'icon-contact' : '&#x48;',
			'icon-circleadd' : '&#x49;',
			'icon-circledelete' : '&#x4a;',
			'icon-circleselect' : '&#x4b;',
			'icon-details' : '&#x4c;',
			'icon-friends' : '&#x4d;',
			'icon-user-2' : '&#x4e;',
			'icon-favorite2' : '&#x4f;',
			'icon-favorite' : '&#x50;',
			'icon-camera-2' : '&#x51;',
			'icon-checkin' : '&#x52;',
			'icon-forbidden' : '&#x53;',
			'icon-man' : '&#x54;',
			'icon-woman' : '&#x55;',
			'icon-bubbles-2' : '&#x56;',
			'icon-address-book' : '&#x57;',
			'icon-alertpay' : '&#x58;',
			'icon-back' : '&#x59;',
			'icon-cog-4' : '&#x5a;',
			'icon-comment' : '&#x5b;',
			'icon-compose' : '&#x5c;',
			'icon-email' : '&#x5d;',
			'icon-heart' : '&#x5e;',
			'icon-untitled' : '&#x5f;',
			'icon-info' : '&#x60;',
			'icon-signout' : '&#x61;',
			'icon-videocamera' : '&#x63;',
			'icon-accessibility' : '&#x62;',
			'icon-affiliate' : '&#xf01e;',
			'icon-birthday' : '&#xf36b;',
			'icon-justice' : '&#xe000;',
			'icon-measure' : '&#xe001;',
			'icon-profile' : '&#xe002;',
			'icon-resistor' : '&#xf3eb;',
			'icon-happy' : '&#xe003;',
			'icon-uniF47C' : '&#xf47c;',
			'icon-uniF480' : '&#xf480;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, html, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};