var noticeCategories = '';
var noticeSpecial = '';
var noticeSlug = '';
var categories = {};    // Tutte le categorie con titolo, id e conteggio post
var supaCategory = {};  // La categoria "In Evidenza"
var keyWord = ['DELETED', 'ERROR', 'ABORTED'];
var imagesNoticeCleared = [];
var special = {}; //tutte le categorie speciali
var slug = {};

var arrayImg = {"0": "./app/core/images/ketchapp.png",
    "1": "./app/content/images/addPicture.jpg",
    "2": "./app/content/images/logo.png"}; //array delle immagini di prova, da cancellare

function get_special() {

    $.ajax({
        type: 'GET',
        url: ajaxUrlHome + sys["specialUrl"],
        dataType: 'json',
        crossDomain: true,
        success: function(data) {

            if (data.status == 'ok') {
                for (var i = 0; i < data.categories.length; i++) {
                    var currSpecial = data.categories[i];
                    if (special[currSpecial.description] === undefined) {
                        special[currSpecial.description] = new Array();
                    }
                    special[currSpecial.description].push({
                        "title": currSpecial.title,
                        "id": currSpecial.id,
                        "image": currSpecial.image,
                        "post_count": currSpecial.post_count
                    });
                }
                noticeSpecial = JSON.stringify(data);
            }
            get_categories(0);
        },
        error: function() {
            error("profile_error", sys["NoConnect"]);
        }
    });
}

function get_categories(id) {
    var parent = 0;
    var ll = "";
    if(id == 0){
        parent = sys["categoryUrl"];
    } else {
        if(localStorage.getItem("lang") == "en"){ ll = "/en"; }
        parent = ll + "/api/get_category_index/?parent=" + id;
    }

    $.ajax({
        type: 'GET',
        url: ajaxUrlHome + parent,
        dataType: 'json',
        crossDomain: true,
        success: function(data) {
            if (data.status == 'ok') {
                for (var i = 0; i < data.categories.length; i++) {
                    var currCat = data.categories[i];
                    if (currCat.description == '') {
                        supaCategory = {
                            "title": currCat.title,
                            "id": currCat.id,
                            "post_count": currCat.post_count
                        };
                        continue;
                    }

                    if (categories[currCat.description] === undefined) {
                        categories[currCat.description] = new Array();
                    }

                    categories[currCat.description]= {
                        "title": currCat.title,
                        "id": currCat.id,
                        "post_count": currCat.post_count,
                        "parent": currCat.parent
                    };
                }
                noticeCategories = JSON.stringify(data);
                addnewStart();
            }
        },
        error: function() {
            error("profile_error", sys["NoConnect"]);
        }
    });
}

function numberOfImages() {
    var number = imagesNotice.length;
    if (number == 0) {
        return 0;
    } else if (imagesNotice.indexOf("TMP") == -1) {
        return number;
    } else {
        var tmpCounter = 0;
        for (var i = 0; i < imagesNotice.length; i++) {
            if (imagesNotice[i] == "TMP")
                tmpCounter++;
        }
        return (number - tmpCounter);
    }
}

function isCompletedNotice() {
    if (titleNotice == '' || descrNotice == '' || priceNotice == '' || addressNotice == '' || numberOfImages() == 0) {
        blasphemy('cacca');
        return false;
    }
    return true;
}



function addnewLoadPage() {
    if (!localStorage.getItem("email")) {
        error("profile_error", sys["LogToAdd"]);
        $.ui.loadContent("#area51");
    } else if (profile_incomplete) {
        error("profile_error", sys["CompleteToAdd"]);
        $.ui.loadContent("#area51");
    } else if (noticeStep == 0) {
        $.ui.loadContent("#addnew");
    } else {
        addnewPopulate();
        $.ui.loadContent("#addnewStep");
    }
}

// Variabili globali annunci:
var noticeStep = 0;
var categoryNotice, categoryNoticeTitle, typeNotice, titleNotice = '', descrNotice = '', priceNotice = '', addressNotice = '', latNotice = '', lngNotice = '';
var imagesNotice = new Array();
var tagNotice = new Array();

function categoryNoticeSelect(selectedCategory) {
    imagesNoticeCleared = [];
    if (selectedCategory === undefined){
        selectedCategory = '';
    }


    var selected;
    var html = '';
    html += '<select class="categoryNotice">';
    if (selectedCategory == '') {
        html += '<option value="">' + sys["category"] + '</option>';
    }
    for (var catInd in categories) {
        html += '<option value="" id="'+catInd+'"> --- ' + catInd + '</option>';

        get_categories_sub(categories[catInd].id, catInd);
        /*for (var i = 0; i < categories[catInd].length; i++) {
            selected = '';
            if (categories[catInd][i].id == selectedCategory) {
                selected = 'selected=selected';
            }
            html += '<option class="catTitle_' + categories[catInd][i].id + '" value="' + categories[catInd][i].id + '" data-name="' + categories[catInd][i].title + '" ' + selected + '>' + categories[catInd][i].title + categories[catInd][i].parent +'</option>';
        }*/
    }

    html += '</select>';
    for (var catInd in categories) {
        get_categories_sub(categories[catInd].id, catInd);
    }
    return html;

}

function get_categories_sub(id, catind) {
    var ll ="";
    if(localStorage.getItem("lang") == "en"){ ll = "/en"; }
    var parent = ll + "/api/get_category_index/?parent=" + id;

    $.ajax({
        type: 'GET',
        url: ajaxUrlHome + parent,
        dataType: 'json',
        crossDomain: true,
        success: function(data) {
            if (data.status == 'ok') {
                for (var i = 0; i < data.categories.length; i++) {
                    var currCat = data.categories[i];
                    var thtml = "<option value='" + currCat.id + "' id='cc_"+currCat.id+"'>"+currCat.title+"</option>";
                    if($("#cc_"+currCat.id).length > 0){

                    } else {
                        $(thtml).insertAfter("#"+catind);
                    }
                }
            }
        },
        error: function() {
            error("profile_error", sys["NoConnect"]);
        }
    });
}

function currentPositionNotice() {
    $.ui.blockUI(0.5);
    $.ui.showMask(" ");
    if ($.os.ios) {
        navigator.geolocation.getCurrentPosition(NoticeGeoSuccess, NoticeGeoError);
    } else if ($.os.android) {
        var options = {enableHighAccuracy: true};
        navigator.geolocation.getCurrentPosition(NoticeGeoSuccess, NoticeGeoError, options);
    } else {
        NoticeAddressFromGoogle(43.320932, 11.330938);
    }


}

function NoticeGeoSuccess(position) {
    if (position.coords.latitude == 'undefined' || position.coords.longitude == 'undefined') {
        NoticeGeoError();
    } else {
        NoticeAddressFromGoogle(position.coords.latitude, position.coords.longitude);
    }
}

function NoticeGeoError(error) {
    latNotice = '';
    lngNotice = '';
    addressNotice = '';
    $(document).trigger('NoticeGeoDone');
}

function NoticeAddressFromGoogle(latitude, longitude) {
    $.ajax({
        url: "http://maps.googleapis.com/maps/api/geocode/json?latlng=" + latitude + "," + longitude + "&sensor=false",
        dataType: 'json',
        crossDomain: true,
        success: function(data) {
            if (data.status == "OK") {
                latNotice = latitude;
                lngNotice = longitude;
                addressNotice = data.results[0].address_components[1].long_name + ' ' + data.results[0].address_components[0].long_name + ', ' + data.results[0].address_components[2].long_name;

                $("#addressNotice").text(addressNotice);
                $("label[for=addressNotice]").text(sys["approxAddress"]);

                $(document).trigger('NoticeGeoDone');
            } else {
                error("addAddressNotice_error", sys["errorNoticeGeo"]);
                NoticeGeoError();
            }
        },
        error: function() {
            error("profile_error", sys["NoConnect"]);
            NoticeGeoError();
        }
    });
}


function customPositionNotice() {
    var customAddress = $("#addAddressNotice").val();
    if (customAddress != '') {
        $.ui.blockUI(0.5);
        $.ui.showMask(" ");
        $.ajax({
            url: "http://maps.googleapis.com/maps/api/geocode/json?address=" + encodeURIComponent(customAddress) + "&sensor=false",
            dataType: 'json',
            crossDomain: true,
            success: function(data) {
                if (data.status == "OK") {
                    /*
                     if (data.results[0].types[0] != 'street_address') {
                     error("addAddressNotice_error", sys["errorNoticeGeo"]);
                     NoticeGeoError();
                     return;
                     }*/

                    latNotice = data.results[0].geometry.location.lat;
                    lngNotice = data.results[0].geometry.location.lng;
                    addressNotice = data.results[0].address_components[1].long_name + ' ' + data.results[0].address_components[0].long_name + ', ' + data.results[0].address_components[2].long_name;

                    $("#addressNotice").text(addressNotice);
                    $("label[for=addressNotice]").text(sys["approxAddress"]);

                    $(document).trigger('NoticeGeoDone');
                } else {
                    error("addAddressNotice_error", sys["errorNoticeGeo"]);
                    NoticeGeoError();
                }
            },
            error: function() {
                error("profile_error", sys["NoConnect"]);
                NoticeGeoError();
            }
        });

    } else {
        error("addAddressNotice_error", sys["missCustomAddress"]);
    }
}

function addnewStart() {

    var html = '';
    html += sys["step0"];
    html += categoryNoticeSelect();
    html += '<br><br>';
    $.ui.updateContentDiv("addnew", html);

    html = '<br><br>';
    html += '<div class="button full green" onclick="currentPositionNotice()">' + sys["currentPosition"] + '</div>';
    html += '<p> - ' + sys["or"] + ' - </p>';
    html += '<div class="addContainer">';
    html += '<label for="addAddressNotice">' + sys["writeAddress"] + '</label>';
    html += '<input type="text" id="addAddressNotice">';
    html += '</div>';
    html += '<div class="button full green" onclick="customPositionNotice()">' + sys["saveAddress"] + '</div>';

    html += '<br><br><br>';
    html += '<span id="addAddressNotice_error" class="error"></span>';
    html += '<div class="button full" onclick="$.ui.goBack()">' + sys["BtnCancel"] + '</div>';
    $.ui.addContentDiv("addAddress", html, "Scelta Indirizzo");
    $('#addAddress').data('load', 'addAddressLoad');
    $('#addAddress').data('unload', 'addAddressUnload');

    $(document).unbind("NoticeGeoDone").bind("NoticeGeoDone", function() {
        $.ui.unblockUI();
        $.ui.hideMask();

        if (addressNotice != '') {
            $.ui.goBack();
        }

    });

    $("#addnew .categoryNotice").unbind().bind('change', function() {
        if ($("#addnew .categoryNotice").val() != '') {
            categoryNotice = $("#addnew .categoryNotice").val();
            categoryNoticeTitle = $("#addnew .catTitle_" + categoryNotice).text();
            noticeStep = 1;
            addnewPopulate();
            $.ui.loadContent("#addnewStep", true, false, "left");
        }
    });

    addSearchStart();
}
function addnewGoto(step) {
    switch (noticeStep) {
        case 1:
            if (imagesNotice.indexOf("TMP") > -1) {
                error("profile_error", "Attendi il caricamento delle immagini!");
                return;
            }
            break;
        case 2:
            titleNotice = $("#titleNotice").val();
            descrNotice = $("#descrNotice").val();
            priceNotice = $("#priceNotice").val();
            tagNotice = $("#tagNotice").val();
            addressNotice = $("#addressNotice").val();
            break;
        case 3:

            break;
        case 4:

            break;
    }
    //if( (step == 3 || step == 4) && !isCompletedNotice()) {
    //  error("addNotice_error","Devi compilare tutti i campi ed aggiungere almeno una foto ed un tag!");
    //return;
    // }
    noticeStep = step;
    addnewPopulate();
}

function createImageWall(val) {

    var html = '';

    if (typeof val === 'object') {
        html += '<div id="imageNotice_' + val.ID + '">';
        html += "<img src='" + val.thumb + "' onClick='zoomImage(\"" + val.url + "\");'>";
        html += "<span class='icon-circledelete' onclick='deleteImg(" + val.ID + ")'></span>";
        html += '</div>';
    }
    return html;

}

function countImages() {
    var images = 0;
    $(imagesNotice).each(function(i, val) {
        if (typeof val === 'object') {
            images++;
        }
    });
    return images;
}

function clearImagesNotice() {
    if (imagesNotice.length != 0) {
        imagesNoticeCleared = [];
        $(imagesNotice).each(function(i, val) {
            if (typeof val === 'object') {
                imagesNoticeCleared.push(imagesNotice[i]);
            }
        });
    }
}

function populateImageNotice() {
    var id = imagesNoticeCleared.length;
    pushToObjectImages(id, "./app/content/images/logo.png", "./app/content/images/logo.png");
    id++;
    pushToObjectImages(id, "./app/core/images/ketchapp.png", "./app/core/images/ketchapp.png");
    id++;
    pushToObjectImages(id, "./app/content/images/addPicture.jpg", "./app/content/images/addPicture.jpg");
    id++;
}

function addnewPopulate() {
    //disabilito la comparsa del menu laterale allo slide

    $.ui.slideSideMenu = false;
    var html = '';
    html += '<ul class="menuSteps">';
    for (var i = 1; i <= 4; i++) {
        var selected = '';
        if (noticeStep == i)
            selected = 'selected';
        html += '<li onclick="addnewGoto(' + i + ')" class="' + selected + '">' + i + '</li>';
    }
    html += '</ul>';

    switch (noticeStep) {
        case 0:
            $.ui.loadContent("#addnew");
            break;
        case 1:

            html += "<div class='addContainer'>";
            html += "<label for='imagesNotice'>" + sys["addImages"] + "</label>";
            html += "<div id='imagesNoticeContainer'>";

            if (imagesNoticeCleared.length) {
                $(imagesNoticeCleared).each(function(i, val) {
                    html += createImageWall(val);
                });
            }
            html += "<img id='addImage' src='./app/content/images/addPicture.jpg' onClick='addNoticePic()'>";

            html += "</div>";
            html += "</div>";

            html += '<span id="addNotice_error" class="error"></span>';
            html += '<div class="button half" onclick="addnewDelete()">' + sys["BtnDel"] + '</div>';
            html += '<div class="button half green" onclick="addnewGoto(' + (noticeStep + 1) + ')">' + sys["BtnNext"] + '</div>';

            break;
        case 2:
            html += '<form action="" method="GET" onsubmit="return false;" name="annuncioUpload" id="upload-form">';
            html += "<div class='addContainer'>";
            html += "<label for='titleNotice'>" + sys["title"] + "</label>";
            html += "<input type='text' id='titleNotice' name='titUpload' value='" + titleNotice + "'>";
            html += "</div>";

            html += "<div class='addContainer'>";
            html += "<label for='descrNotice'>" + sys["description"] + "</label>";
            html += "<input type='text' id='descrNotice' name='descrizioneUpload' value='" + descrNotice + "'>";
            html += "</div>";

            html += "<div class='addContainer'>";
            html += "<label for='priceNotice'>" + sys["price"] + "</label>";
            html += "<span id='priceNoticeEuro'>&euro;</span><input type='number' id='priceNotice' name='prezzoUplaod' value='" + priceNotice + "'>";
            html += "</div>";

            html += "<div class='addContainer'>";
            html += "<label for='tagNotice'>"+sys["Tags"]+"</label>";
            html += "<input type='text' id='tagNotice' name='tagUpload' value=''>";
            html += "</div>";

            html += "<div class='addContainer'>";
            html += "<label for='addressNotice'>" + sys["address"] + "</label>";
            html += "<a id='addressNotice' href='#addAddress'>" + addressNotice + "</a>";
            html += "</div>";

            html += '<span id="addNotice_error" class="error"></span>';
            html += '<div class="button half" onclick="addnewDelete()">' + sys["BtnDel"] + '</div>';
            html += '<div class="button half green" onclick="addnewGoto(' + (noticeStep + 1) + ')">' + sys["BtnNext"] + '</div>';
            html += '</form>';
            break;

        case 3:
            html += createHtmlAnnunci(priceNotice, titleNotice, descrNotice, 'previewBox');
            html += '<div class="button half" onclick="addnewDelete()">' + sys["BtnDel"] + '</div>';
            html += '<div class="button half green" onclick="addnewGoto(' + (noticeStep + 1) + ')">' + sys["BtnNext"] + '</div>';
            break;

        case 4:

            html += "<p class='centered'><b>PUBBLICA</b><br><br>il tuo annuncio!<br>";
            html += "<img id='binocolo' src='./app/content/images/binocolo.png'></p>";

            html += '<span id="addNotice_error" class="error"></span>';

            html += "<p id='creditNumber' class='supa'>Cr. <span class='nCreditiAttuali'>" + pcredits + "<span></p>";
            //html += "<div id='creditNumber' class='button half'>Cr. <span class='nCreditiAttuali'>" + pcredits + "<span></div>";
            html += '<a href="#buycredits" onClick="loadBuy();"><div class="button half green">' + sys["BtnBuy"] + '</div></a>';
//            html += "todo " + sys['Credits'] + " " + localStorage.getItem('credits');

            html += '<div class="button half" onclick="uploadTutorial(\'base\');">' + sys["BtnPub"] + '</div>';
            //html += '<div class="button half" onclick="uploadTutorial(\'premium\');">' + sys["BtnPubPremium"] + '</div>';

            break;
    }

    console.log(noticeStep);
    $.ui.updateContentDiv("addnewStep", html);

    if (noticeStep > 1) {
        clearImagesNotice();
    }

    if (noticeStep == 3) {
        var nImages = imagesNoticeCleared.length;

        switch (nImages) {
            case (0):
                console.log('-error-');//bisogna caricare almeno 1 immagine
                break;
            case(1):
                appendOnlyMainImage();
                break;
            case(2):
                appendMainAndRight();
                break;
            default:
                appendAllImages();
                break;

        }
        console.log('immagini: ' + nImages);
    }

    $('#tagNotice').jsonSuggest({data: false, url: ajaxUrlHome + "api/ketchapp/tags_suggest/", minCharacters: 3, headMsg: '<h1></h1>'});

    $("#addnewStep .categoryNotice").unbind().bind('change', function() {
        if ($("#addnewStep .categoryNotice").val() == '') {
            $("#addnewStep .categoryNotice").val(categoryNotice);
        } else if ($("#addnewStep .categoryNotice").val() != categoryNotice) {
            categoryNotice = $("#addnewStep .categoryNotice").val();
            categoryNoticeTitle = $("#addnewStep .catTitle_" + categoryNotice).text();
        }
    });

    $(".previewBox").swipeListener({
        hthreshold: 50,
        vthreshold: 50,
        callBack: function(dir) {
            slideImg(dir);
        }
    });

}

function uploadTutorial(type) {
    var bool = true;
    var creditiSpesi = 0;
    switch (type) {
        case 'base':
            creditiSpesi = 1;
            break;
        case 'premium':
            creditiSpesi = 2;
            break;
    }
    var creditiResidui = pcredits - creditiSpesi;

    /*
     var elements = document.forms[0].elements;
     
     for (i=0; i<elements.length; i++){
     if( elements[i].name != '' ) {
     console.log( elements[i].name + ' --- ' + elements[i].value);
     }
     }
     
     $('#hiddencontainer input').each( function() {
     if ( $(this).val() == 'loading' ) {
     error("upload-error", sys["uploadError"]);
     bool = false;
     }
     });
     
     
     
     var dataSended = $('form[name="annuncioUpload"]').serialize();
     
     */
    var number = imagesNotice.length;
    var arrImmagini = new Array();

    for (var i = 0; i < number; i++) {
        arrImmagini[i] = imagesNotice[i].ID;
    }

    var dataSended = {cookie: wpcookie, latit: latNotice, longit: lngNotice, titUpload: titleNotice, descrizioneUpload: descrNotice, prezzoUpload: priceNotice, tagUpload: tagNotice, indirizzoUpload: addressNotice, idUpload: categoryNotice, attachments: arrImmagini};

    if (bool) {
        $.ui.showMask();
        $.ajax({
            type: "POST",
            url: ajaxUrlHome + "/?json=ketchapp/upload_post",
            data: dataSended,
            success: function(dataDue) {
                error("addNotice_error", sys["PubDone"]);

                $.ui.hideMask();
                console.log(dataDue);

                dataDue = $.parseJSON(dataDue);
                if (dataDue.status == 'error') {
                    // Errore nell'upload di qualche tipo!
                    error("addNotice_error", dataDue.error);

                } else if (dataDue.status == 'ok') {
                    changeCrediti(pid, creditiResidui);
                    $.ui.loadContent("uploadsuccess");
                    // Uploadato con successo! Viene ritornato anche dataDue.post_id che è l'id del post creato come Bozza
                    // TODO: stylare la pagina di successo (o gestire il successo in altro modo! )
                    // $.ui.loadContent("#uploadsuccess");

                    // Svuoto il form e gli attachments in modo da poter inviare un nuovo tutorial!
                    attachments = 0;
                    $('#uploadedMedia').html('');
                    $('#hiddencontainer').html('');
                    $('#upload-form .prodUt').html('');
                    //$('#upload-form')[0].reset();

                    //goToAnnunci(dataDue.post_id);

                    console.log("pubblicato");
                }
            },
            error: function() {
                $.ui.hideMask();
                error("addNotice_error", sys["NoConnect"]);
            }
        });
    }

}

function slideImg(dir) {

    if (dir.left)
        leftSlide();
    if (dir.right)
        rightSlide();
}

function getPositionImg(id) {
    positionInArray = '';
    $(imagesNoticeCleared).each(function(i, v) {
        if (v.ID == id) {
            positionInArray = i;
        }
    });
    return positionInArray;
}

function createImageHtml(position) {
    var html = '<img id="' + imagesNoticeCleared[position].ID + '" src="' + imagesNoticeCleared[position].thumb + '" />';
    return html;
}

function slider(positionInArray) {
    if (positionInArray == imagesNoticeCleared.length - 1) {
        $('div.preview.slide').html(createImageHtml(positionInArray)).fadeIn(1000);
        $('div.preview.slide-half.left').html(createImageHtml(positionInArray - 1)).fadeIn(1000);
        $('div.preview.slide-half.right').html(createImageHtml(0)).fadeIn(1000);
    } else if (positionInArray == 0) {
        $('div.preview.slide').html(createImageHtml(0)).fadeIn(1000);
        $('div.preview.slide-half.left').html(createImageHtml(imagesNoticeCleared.length - 1)).fadeIn(1000);
        $('div.preview.slide-half.right').html(createImageHtml(1)).fadeIn(1000);
    } else {
        $('div.preview.slide').html(createImageHtml(positionInArray)).fadeIn(1000);
        $('div.preview.slide-half.left').html(createImageHtml(positionInArray - 1)).fadeIn(1000);
        $('div.preview.slide-half.right').html(createImageHtml(positionInArray + 1)).fadeIn(1000);
    }
}


function rightSlide() {

    if (imagesNoticeCleared.length > 2) {
        var idLeftImage = $('div.preview.slide-half.left img').attr('id');
        var positionInArray = getPositionImg(idLeftImage);

        slider(positionInArray);
    }
}

function leftSlide() {
    if (imagesNoticeCleared.length == 2) {
        var imgTemp = $('div.preview.slide').html();
        $('div.preview.slide').html($('div.preview.slide-half.right').html()).fadeIn(1000);
        $('div.preview.slide-half.right').html(imgTemp).fadeIn(1000);
    }
    if (imagesNoticeCleared.length > 2) {
        var idRightImage = $('div.preview.slide-half.right img').attr('id');
        var positionInArray = getPositionImg(idRightImage);
        slider(positionInArray);
    }
}


function defaultOptions() {
    $('div.preview.slide').append("<img id='" + imagesNoticeCleared[0].ID + "' src='" + imagesNoticeCleared[0].thumb + "'/>");
}

function appendOnlyMainImage() {
    defaultOptions();
    $('div.preview.slide-half.left').css('height', '1px');

}

function appendMainAndRight() {
    defaultOptions();
    $('div.preview.slide-half.right').append("<img id='" + imagesNoticeCleared[1].ID + "' src='" + imagesNoticeCleared[1].thumb + "'/>");
    $('div.preview.slide-half.left').css('height', '1px');
}

function appendAllImages() {
    defaultOptions();
    $('div.preview.slide-half.right').append("<img id='" + imagesNoticeCleared[1].ID + "' src='" + imagesNoticeCleared[1].thumb + "'/>");
    $('div.preview.slide-half.left').append("<img id='" + imagesNoticeCleared[imagesNoticeCleared.length - 1].ID + "' src='" + imagesNoticeCleared[imagesNoticeCleared.length - 1].thumb + "'/>");
}

function deleteImg(id) {
    $('#imageNotice_' + id).remove();
    $(imagesNotice).each(function(i, v) {
        if (v.ID == id) {
            imagesNotice[i] = "DELETED";
        }
    });
}

function setMainImg(src) {
    $('#mainImagePreview img').attr('src', src);
    $("#imageScrollPreview").css('height', $('#mainImagePreview img').css('height'));
}


function addnewDelete() {
    $.ui.popup({
        message: sys["deleteNotice"],
        cancelText: sys["BtnCancel"],
        cancelCallback: function() {
        },
        doneText: "Ok",
        doneCallback: function() {
            noticeStep = 0;
            // Svuoto l'annuncio per poterne poi inseire uno nuovo!
            $(".categoryNotice").val('');
            categoryNotice = null;
            categoryNoticeTitle = null;
            typeNotice = null;
            imagesNotice = new Array();
            titleNotice = '';
            descrNotice = '';
            priceNotice = '';
            addressNotice = '';
            latNotice = '';
            lngNotice = '';

            $.ui.loadContent("addnew", true, false, "right");
        },
        cancelOnly: false,
        suppressTitle: true
    });

}

function todo() {

}

function addSearchStart() {

    var jpspecial = JSON.parse(noticeSpecial);

    var jpcategories = JSON.parse(noticeCategories);

    var htmlSpecial = '';
    /*htmlSpecial+='<div class="addContainer search">';
    htmlSpecial += '<input name="searchTG"  type="text" id="tgs" size="40" value autocomplete="off" placeholder="Cerca..." />';
    htmlSpecial +='</div>';
    htmlSpecial += '<div class="button one_third dx" onclick="getTagSearch()">OK</div>';*/
    /*htmlSpecial += '<h1 class="th1">SPECIAL</h1>';
    htmlSpecial += '<div id="contSpecial">';
    htmlSpecial += '<div class="wrapSpecial">';

    for (var i = 0; i < jpspecial.categories.length; i++) {
        htmlSpecial += '<div class="specItem">';
        htmlSpecial += '<a href="#"><img src="' + jpspecial.categories[i].image + '" alt=""></a>';
        htmlSpecial += '</div>';

    }
    htmlSpecial += '</div>';
    htmlSpecial += '</div>';*/
    if($('#cerca').data('ticat') != ""){
        htmlSpecial += '<h1 id="catti">'+$('#cerca').data('ticat')+'</h1>';
    } else {
        htmlSpecial += '<h1 id="catti">'+sys["category"]+'</h1>';
    }

    htmlSpecial += '<div id="contCateg">';
    htmlSpecial += '<div class="wrapContainer">';

    for (var i = 0; i < jpcategories.categories.length; i++) {
        htmlSpecial += '<div class="catItem">';

        if(jpcategories.categories[i].parent == "23" || jpcategories.categories[i].parent == "2" || jpcategories.categories[i].parent == "11" || jpcategories.categories[i].parent == "1"){
            htmlSpecial += '<a id="' + jpcategories.categories[i].slug + '" href="javascript:void(0);" onclick="subcat(' + jpcategories.categories[i].id + '); $(\'#cerca\').data(\'ticat\',\''+ jpcategories.categories[i].title +'\');"><img src="' + jpcategories.categories[i].image + '">';
        } else{
            htmlSpecial += '<a id="' + jpcategories.categories[i].slug + '" href="javascript:void(0);" onclick="getPostTypeList(\'' + jpcategories.categories[i].slug + '\', \''+jpcategories.categories[i].title+'\');$(\'#cerca\').data(\'ticat\',\'\');"><img src="' + jpcategories.categories[i].image + '">';
        }

        htmlSpecial += '<span>'+jpcategories.categories[i].title+'</span>';
        htmlSpecial += '</a>';
        htmlSpecial += '</div>';
    }

    if(jpcategories.categories.length < 1){
        htmlSpecial += "<p class='supa'>"+sys["noAds"]+"</p>";
        htmlSpecial += "<a class='button' href='javascript:void(0);' onclick='subcat(0);'>"+sys["BtnBack"]+"</a>";
    }
    $.ui.updateContentDiv("cerca", htmlSpecial);
}

function subcat(id){
    get_categories(id);
    addSearchStart();
}

function getPostTypeList(slugVal, diu) {

    var ck = "";
    if(typeof wpcookie !== "undefined"){
        ck = "&cookie="+encodeURIComponent(wpcookie);
    }

    $.ajax({
        type: 'GET',
        url: ajaxUrlHome + sys["postTypeUrl"] + slugVal + "&post_type=advertisement" + ck,
        dataType: 'json',
        crossDomain: true,
        success: function(data) {

            if (data.status == 'ok') {
                for (var i = 0; i < data.posts.length; i++) {
                    var currSlug = data.posts[i];

                    if (slug[currSlug.posts] === undefined) {
                        slug[currSlug.posts] = new Array();
                    }
                    slug[currSlug.posts].push({
                        "title": currSlug.title,
                        "titlePlain": currSlug.title_plain,
                        "excerpt": currSlug.excerpt,
                        "id": currSlug.id,
                        "post_count": currSlug.post_count
                    });
                }
                noticeSlug = JSON.stringify(data);
                addPostTypeList(slugVal, diu);
            }
        },
        error: function() {
            error("profile_error", sys["NoConnect"]);
        }
    });
}

function addPostTypeList(cat_slug,diu) {

    var jpPostType = JSON.parse(noticeSlug);
    var htmlPostType = '';
    htmlPostType += '<div class="addContainer search">';
    htmlPostType += '<input name="searchTG"  type="text" id="tgs" size="40" value autocomplete="off" placeholder="Cerca..." />';
    htmlPostType += '</div>';
    htmlPostType += '<div class="button one_third dx" onclick="getTagSearch(\''+cat_slug+'\')">OK</div>';
    htmlPostType += '<h1>'+diu+'</h1>';
    htmlPostType += '<ul class="locList">';
    for (var i = 0; i < jpPostType.posts.length; i++) {

        htmlPostType += '<li>';
        htmlPostType += '<a href="#annuncio" onclick="goToAnnunci(' + jpPostType.posts[i].id +');">';
        if(typeof jpPostType.posts[i].attachments[0] === "undefined"){

        } else {
            htmlPostType += '<img src="' + jpPostType.posts[i].attachments[0].images.thumbnail.url + '">';
        }
        htmlPostType += '<h3>' + jpPostType.posts[i].title + '</h3>';
        htmlPostType += jpPostType.posts[i].excerpt;
        htmlPostType += '</a>';
        htmlPostType += '</li>';
    }
    htmlPostType += '</ul>';
    $.ui.hideMask();
    if(jpPostType.count == 0){
        htmlPostType = "<p class='supa'>" + sys["noAds"] + "</p>";
    }
    $.ui.updateContentDiv("posttypelist", htmlPostType);
    $.ui.loadContent("#posttypelist");
    $('#tgs').jsonSuggest({data: false, url: ajaxUrlHome + "api/ketchapp/tags_suggest/", minCharacters: 3, headMsg: '<h1></h1>'});

}

function getTagSearch(cc){

    $('.locList').remove();

    $.ui.updateContentDiv("ricerca", '<ul class="locList"></ul>');

    var result = $('#tgs').val();
    var converti = result.replace(/ /g,",");

    var dataSended = {postTags: converti, cat_slug: cc};

    if(typeof wpcookie !== "undefined"){
        dataSended.cookie = wpcookie;
    }

    idSearchResult= new Array();

    $.ui.blockUI(0.5);
    $.ui.showMask("Searching");
    $.ajax({
            type: 'GET',
            url:ajaxUrlHome+"api/ketchapp/tag_search/",
            data: dataSended,
            dataType: 'json',
            crossDomain: true,
            success: function(data) {


                if (data.status == 'ok') {



                    if(data.tags_post.length > 0){
                        $.ui.loadContent("#ricerca");
                        var html = '';

                        for( var i=0; i<data.tags_post.length;i++){

                            idSearchResult=data.tags_post[i].ID;

                            //showPostsResult(idSearchResult); <1

                            html += '<li>';
                            html += '<a href="#annuncio" onclick="goToAnnunci(' + data.tags_post[i].ID +');">';
                            if(typeof data.tags_post[i].attachment === "undefined" || data.tags_post[i].attachment == ''){
                                html += '<img src="./app/content/images/logo.png">';
                            } else {
                                html += '<img src="' + data.tags_post[i].attachment + '">';
                            }
                            html += '<h3>' + data.tags_post[i].title + '</h3>';
                            html += data.tags_post[i].excerpt;
                            html += '</a>';
                            html += '</li>';
                        }
                        $('.locList').append(html);
                    } else {
                        error("profile_error", sys["noResult"]);
                    }





                }

                $.ui.unblockUI();
                $.ui.hideMask();

            },
            error: function() {
                $.ui.unblockUI();
                $.ui.hideMask();
                error("profile_error", sys["NoConnect"]);
            }
        });
}



function showPostsResult(IDPostsResult) {
    var html='';
    $.ajax({
        type: 'GET',
        url: "http://yoofind.mobi/?json=get_post&post_id="+ IDPostsResult + "&post_type=advertisement",
        dataType: 'json',
        crossDomain: true,
        success: function(data) {

            if (data.status == 'ok') {

                html += '<li>';
                html += '<a href="#annuncio" onclick="goToAnnunci(' + data.post.id +');">';
                if(data.post.attachments[0] === "undefined"){

                } else {
                    html += '<img src="' + data.post.attachments[0].images.thumbnail.url + '">';
                }
                html += '<h3>' + data.post.title + '</h3>';
                html += data.post.excerpt;
                html += '</a>';
                html += '</li>';


            }

            $('.locList').append(html);
            $.ui.unblockUI();
            $.ui.hideMask();

        },
        error: function() {
            error("profile_error", sys["NoConnect"]);
        }


    });


}

