// LOGIN

var lemail;
var lusername;
var lnicename;
var ldisplayname;
var lpass;
var wpcookie;
var registrationStep = false;

function loginUser(){
    if(!localStorage.getItem("email")){
        lemail = $("#lemail").val();
        lpass = $("#lpass").val();
        // add loading
    } else {
        lemail = localStorage.getItem("email");
        lpass = localStorage.getItem("password");
    }

    var loglat, loglng = "";
    if( currentPosition ) {
        loglat= latitudeP;
        loglng= longitudeP;
    }

    if( lemail != '' && lpass != '' ) {
        $.ui.showMask('Logging in');

        $.ajax({
            type     : "POST",
            url      : ajaxUrlHome + "api/get_nonce/",
            dataType : 'application/json',
            data:   {
                controller:'auth',
                method:'generate_auth_cookie'
            },
            success  : function(data) {
                data = $.parseJSON(data);

                WP_nonce = data.nonce;

                if( fAccessToken === undefined ) {
                    var dataSended = {
                        nonce: WP_nonce,
                        username: lemail,
                        password: lpass,
                        app_id: appid,
                        lang: localStorage.getItem('lang'),
                        os: printOS(),
                        lat: loglat,
                        lng: loglng
                    };
                } else {
                    var dataSended = {
                        nonce: WP_nonce,
                        username: lemail,
                        password: lpass,
                        token: fAccessToken,
                        app_id: appid,
                        lang: localStorage.getItem('lang'),
                        os: printOS(),
                        lat: loglat,
                        lng: loglng
                    };
                }

                console.log("LOGGING: " + dataSended.username + ": " +fAccessToken);
                $.post(
                    ajaxUrlHome + "api/auth/generate_auth_cookie",
                    dataSended,
                    function(dataControl) {
                        $.ui.hideMask();
                        dataControl = $.parseJSON(dataControl);

                        if( dataControl.status == 'error') {
                            if( dataControl.error == 'User not exists') {
                                error("logerror", sys["NotStoredEmail"]);
                                clearLocalStorage();
                            } else if( dataControl.error == 'Facebook user') {
                                error("logerror", sys["FbUserEmail"]);
                                clearLocalStorage();
                            } else if( dataControl.error == 'Invalid username and/or password.') {
                                error("logerror", sys["ErrPassword"]);
                                clearLocalStorage();
                            } else if( dataControl.error == 'Missing Nicename') {
                                $.ui.loadContent("#registerNicename",false,false,"left");
                                $.ui.clearHistory();
                            } else {
                                console.log(dataControl.error + JSON.stringify(dataSended));
                                $.ui.clearHistory();
                            }
                        } else {
                            lemail = dataControl.user.email;
                            lusername = dataControl.user.username;
                            lnicename = dataControl.user.nicename;
                            ldisplayname = dataControl.user.displayname;
                            wpcookie = dataControl.cookie;
                            $("#area51").trigger("loggedIn");
                            console.log("HERE:" + JSON.stringify(dataSended));
                        }
                    }
                );
            },
            error   : function() {
                error("logerror", sys["NoConnect"]);
                $.ui.hideMask();
            }
        });
    } else {
        error("logerror", sys["RegisterField"]);
    }


}

// LOGOUT
function logoutUser(){
    $.ui.showMask('Logging Out...');

    $.ajax({
        type     : "GET",
        url      : ajaxUrlHome + "api/ketchapp/json_logout/",
        dataType : 'application/json',
        success  : function(data) {
            $.ui.hideMask();

            $("#area51").trigger("loggedOut");
        },
        error   : function() {
            error("logerror", sys["NoConnect"]);
            $.ui.hideMask();
        }
    });

}

var WP_nonce;
var rfacebook;

// register
function registerUser(r){
    rfacebook = false;

    if(r == 1) {
        remail = $("#remail").val();
        rpass = $("#rpass").val();
        rpass2 = $("#rpass2").val();
        rdate = $("#rdate").val();
        rusername = remail.replace(/[^A-Za-z0-9]/g,'');
    } else {
        remail = r.email;
        rpass = r.pass;
        rpass2 = r.pass;
        rfname = r.fname;
        rlname = r.lname;
        rdate = r.birthday;
        rsesso = r.gender;
        rusername = remail.replace(/[^A-Za-z0-9]/g,'')+'@facebook';
        rfacebook = true;
    }

    if( remail != '' && rpass != '' && rpass2 != '' && rpass == rpass2 && rdate != '' && rdate != sys['DateFormat'] && checkDate(rdate) ) {
        $.ui.showMask('loading...');

        $.ajax({
            type: 'GET',
            url      : ajaxUrlHome + "api/get_nonce_bp/",
            dataType : 'json',
            crossDomain: true,
            success  : function(data) {

                $.post(
                    ajaxUrlHome + "wp-admin/admin-ajax.php",
                    {
                        signup_username: rusername,
                        signup_email: remail,
                        signup_password: rpass,
                        signup_password_confirm: rpass,
                        field_1: remail,
                        field_14: rdate,
                        signup_profile_field_ids: "1, 14",
                        _wpnonce: data.nonce,
                        _wp_http_referer: "/wp-admin/admin-ajax.php",
                        signup_submit: "yes",
                        action: "bpajax_register"
                    },
                    function(data){
                        $.ui.hideMask();
                        data = $.parseJSON(data);

                        if( data.message == "success" || rfacebook ) {
                            localStorage.setItem('email', remail);
                            localStorage.setItem('password', rpass);
                            console.log("Orca:" + remail + "||" + rfacebook + ": " +data.message);
                            loginUser();
                            $.ui.loadContent("#area51",false,false,"left");
                        } else if( data.message == "email_exists") {
                            error("regerror", sys["NotUniqueEmail"] );
                        }
                    }
                );
            },
            error    : function() {
                error("regerror", sys["NoConnect"] );
                $.ui.hideMask();
            }
        });

    } else {
        if( remail == '' || rpass == '' || rpass2 == '' || rdate == '' || rdate == sys['DateFormat']) {
            error("regerror", sys["BookAllField"] );
        } else if( rpass != rpass2 ) {
            error("regerror", sys["PasswordMismatch"] );
        } else if (!checkDate(rdate) ) {
            if( !rfacebook ) {
                var dateArr = rdate.split("-");
                if( dateArr.length != 3 || dateArr[0].length != 4  || dateArr[1].length != 2  || dateArr[2].length != 2 ) {
                    error("regerror", sys["WrongDateFormat"] );
                } else {
                    error("regerror", sys["TooYoung"] );
                }
            } else {
                error("regerror", sys["TooYoung"] );
            }
        }
    }
}


function checkDate( date ) {
    var check = new Date();

    if( rfacebook ) {
        var dateArr = date.split("/");
        check.setFullYear(dateArr[2], dateArr[0]-1, dateArr[1]);
    } else {
        var dateArr = date.split("-");
        if( dateArr.length != 3 || dateArr[0].length != 4  || dateArr[1].length != 2  || dateArr[2].length != 2 ) return false;
        check.setFullYear(dateArr[0], dateArr[1]-1, dateArr[2]);
    }

    var date17 = new Date();
    date17.setFullYear(date17.getFullYear()-17);

    if (check <= date17 ) {
        return true;
    } else {
        return false;
    }
}


function passwordRetrieve(){
    rpmail = $("#rpmail").val();

    if( rpmail != '' ) {
        $.ui.showMask();

        $.ajax({
            type     : "POST",
            url      : ajaxUrlHome + "api/ketchapp/json_retrieve_password/",
            data:   { email: rpmail, app_id: appid },
            success  : function(data) {
                $.ui.hideMask();
                data = $.parseJSON(data);

                if( data.status == 'error') {
                    if( data.error == 'User not exists') {
                        error("rperror", sys["NotStoredEmail"]);
                    } else if( data.error == 'Facebook user') {
                        error("rperror", sys["FbUserEmail"]);
                    }
                } else {
                    $.ui.loadContent("#area51",false,false,"left");
                    alert( sys["PasswordReSent"] );
                }
            },
            error: function(){
                $.ui.hideMask();
                error("rperror", sys["NoConnect"] );
            }
        });
    } else {
        error("rperror", sys["missEmail"] );
    }
}

function registerNicename(){
    rnicename = $("#rnicename").val();

    if( rnicename != '' && rnicename != ' ') {
        $.ui.showMask();

        if( currentPosition ) {
            var dataSended = {
                email: lemail,
                password: lpass,
                nicename: rnicename,
                lat: latitudeP,
                lng: longitudeP
            };
        } else {
            var dataSended = {
                email: lemail,
                password: lpass,
                nicename: rnicename
            };
        }

        $.ajax({
            type     : "POST",
            url      : ajaxUrlHome + "api/ketchapp/register_nicename/",
            data     : dataSended,
            success  : function(data) {
                $.ui.hideMask();
                data = $.parseJSON(data);

                if( data.status == 'error') {
                    error("reg2error", sys["missNicename"] );
                } else {
                    registrationStep = true;
                    loginUser();
                }
            },
            error: function(){
                $.ui.hideMask();
                error("reg2error", sys["NoConnect"] );
            }
        });
    } else {
        error("reg2error", sys["missNicename"] );
    }

}


function loginStart() {

    var htmlForm;
    htmlForm =      '<div class="notlogged">';
    //htmlForm +=     '<h1>' + sys["LoginLogin"] + '</h1>';
    htmlForm +=     '<img src="./app/content/images/logo.png" style="width: 150px;margin: 24px auto 0;display: block;">';
    htmlForm +=     '<span id="preLogin"></span>';
    htmlForm +=     '<form id=login onsubmit="return false;"><ul class="whitelist">';
    htmlForm +=     '<li><label for="lemail">' + sys["Email"] + '<input type="email" id="lemail" name="email" placeholder="' + sys["Email"] + '"></label></li>';
    htmlForm +=     '<li><label for="lpass">' + sys["Password"] + '<input type="password" id="lpass" name="password" placeholder="' + sys["Password"] + '"></label></li>';
    htmlForm +=     '</ul>';
    htmlForm +=     '<span id="logerror" class="error"></span>';
    htmlForm +=     '<a href="#register" class="button half">' + sys["LoginRegister"]+ '</a>';
    htmlForm +=     '<a href="javascript:void(0);" class="button half green" id="logbt" onclick="loginUser();">' + sys["LoginLogin"]+ '</button>';
    htmlForm +=     '<a href="#login_pass" class="login_pass" data-transition="right">' + sys["LoginForgPass"] + '</a>';
    htmlForm +=     '</form>';
    //htmlForm +=     '<a href="javascript:localStorage.clear();">Ripristina applicazione</a>';
    htmlForm +=     '<span id="postLogin"></span>';
    htmlForm +=     '</div><div class="logged"></div>';

    $.ui.updateContentDiv("area51",htmlForm);

    if( localStorage.getItem('email') && localStorage.getItem("facebook") != 'true' ) {
        // start function if localstorage exists!
        loginUser();
    }


    // Triggering loggedIn
    $("#area51").on("loggedIn", function(){
        $("#afui").fadeOut("300ms", null, 0);

        // local storage
        localStorage.setItem('username', lusername);
        localStorage.setItem('displayname', ldisplayname);
        localStorage.setItem('nicename', lnicename);
        localStorage.setItem('email', lemail);
        localStorage.setItem('password', lpass);
        localStorage.setItem('wpcookie', wpcookie);

        $('.notlogged').hide();
        $('.logged').show();

        $('#area51').data('load','');

        $('#area51 .logged').append('<div class="in"></div>');

        var editbtn = '<a href="javascript:void(0);" class="icon icon-details sidemenu" onclick="annunciEdit();">'+sys["yourAds"]+'</a>';
        var chatsbtn = '<a href="#chats" class="icon icon-bubbles-2 sidemenu" id="chats_btn-nav">Messaggi</a>';
        var logoutbtn = '<a href="javascript:void(0);" class="icon icon-signout sidemenu" id="logoutbt" onclick="logoutUser();">Esci</a>';

        $("#menu #area51_btn-nav").text("Profilo");

        $("#menu .messagePosition").append(editbtn);
        $("#menu .messagePosition").append(chatsbtn);
        $("#menu .logoutPosition").append(logoutbtn);

        console.log("Logged In");
        // unBlock everything!
    });

    // Triggering loggedOut
    $("#area51").on("loggedOut",function(){
        // local storage
        clearLocalStorage();

        // Block everything!
        theStartCondition();

        $('.notlogged').show();
        $('.logged').hide();

        $('.in').remove();
        $.ui.loadContent("#area51");

        console.log('Logged Out');
    });

    // add the registerPage;
    var htmlReg = '<form id=register onsubmit="return false;" ><ul class="whitelist">';
    htmlReg += '<li><label for="remail">' + sys["Email"] + '<input type="email" id="remail" name="email" placeholder="' + sys["Email"] + '" ></label></li>';
    htmlReg += '<li><label for="rpass">' + sys["Password"] + '<input type="password" id="rpass" name="password" placeholder="' + sys["Password"] + '" ></label></li>';
    htmlReg += '<li><label for="rpass2">' + sys["PasswordConfirm"] + '<input type="password" id="rpass2" name="password2" placeholder="' + sys["PasswordConfirm"] + '" ></label></li>';
    htmlReg += '</ul>';
    // TODO: show only Year fo birth in profile
    htmlReg += '<input type="hidden" id="rdate" name="rdate" value="1901-01-01">';

    htmlReg += '<span id="regerror" class="error"></span>';
    htmlReg += '<button class="button green full" id="regbt">' + sys["LoginRegister"] + '</button>';
    htmlReg += '<a href="#area51" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
    htmlReg += '</form>';
    htmlReg += '<p class="supa">' + sys["AcceptPrivacy"] + '</p><a href="#privacy_cust" class="button half" data-transition="up">Privacy</a>';

    htmlReg += '<a href="#conduct_cust" class="button half" data-transition="up">' + sys["CodeConduct"] + '</a>';
    htmlReg += '<a href="#toc_cust" class="button full" data-transition="up">' + sys["Toc"] + '</a>';

    $.ui.addContentDiv("register",htmlReg,sys["LoginRegTitle"]);
    $('#register').data('tab','area51_btn');
    $('#regbt').on('click',function(){registerUser(1);});

    // add the registerPage step two;
    var htmlReg = '<form id=registerNicename onsubmit="return false;" >';
    htmlReg += '<p class="supa">'+sys['chooseNicename']+'</p>';
    htmlReg += '<ul class="whitelist">';
    htmlReg += '<li><label for="rnicename">' + sys["Nicename"] + '<input type="text" id="rnicename" name="nicename" placeholder="' + sys["Nicename"] + '" ></label></li>';
    htmlReg += '</ul>';
    htmlReg += '<span id="reg2error" class="error"></span>';
    htmlReg += '<button class="button green full" id="reg2bt">Salva</button>';
    htmlReg += '</form>';

    $.ui.addContentDiv("registerNicename",htmlReg,sys["LoginRegTitle"]);
    $('#reg2bt').on('click',function(){ registerNicename(); });

    // add the forgot pass
    var htmlForg = "";
    //htmlForg += '<h1>'+sys["LoginForgTitle"]+'</h1>';
    htmlForg += '<p class="supa">' + sys["LoginSendPass"] + '</p>';
    htmlForg += '<form id="login_pass_o" onsubmit="return false;" ><ul class="whitelist">';
    htmlForg += '<li><label for="rpmail">' + sys["Email"] + '<input type="email" id="rpmail" name="email" placeholder="' + sys["Email"] + '" ></label></li></ul>';
    htmlForg += '<span id="rperror" class="error"></span>';
    htmlForg += '<button class="button green full" id="passbt">' + sys["BtnSubmit"] + '</button>';
    htmlForg += '<a href="#area51" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
    htmlForg += '</form>';

    $.ui.addContentDiv("login_pass",htmlForg,sys["LoginForgTitle"]);
    $('#login_pass').data('tab','area51_btn');
    $('#passbt').on('click',function(){passwordRetrieve();});


    var newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
    newHtml += '<a href="javascript:void(0);" onclick="$.ui.goBack()" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
    // TODO: use DRY ffs
    $.ui.addContentDiv("privacy_cust",newHtml, "Privacy");
    $('#privacy_cust').data('load','loadCustomPrivacy');
    $.ui.addContentDiv("conduct_cust",newHtml, sys["CodeConduct"]);
    $('#conduct_cust').data('load','loadCustomConduct');
    $.ui.addContentDiv("toc_cust",newHtml, sys["Toc"]);
    $('#toc_cust').data('load','loadCustomToc');
    $('#toc_cust').data('tab','toc_btn');

// end of loginStart();
}

function loadCustomPrivacy() {
    if( $("#privacy_cust").text() == (sys["NoConnect"] + sys["BtnBack"]) ){
        $.ui.showMask();
        $.ajax({
            type: 'GET',
            url      : ajaxUrlHome + sys['privacyURL']+'?json=1&exclude=attachments,comments,custom_fields,author',
            dataType : 'json',
            crossDomain: true,
            success  : function(data) {
                $.ui.hideMask();
                var newHtml = data.page.content;
                newHtml += '<a href="javascript:void(0);" onclick="$.ui.goBack()" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
                $.ui.updateContentDiv("privacy_cust",newHtml);
            },
            error    : function() {
                $.ui.hideMask();
                var newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
                newHtml += '<a href="javascript:void(0);" onclick="$.ui.goBack()" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
                $.ui.updateContentDiv("privacy_cust",newHtml);
            }
        });
    }
}

function loadCustomConduct() {
    if( $("#conduct_cust").text() == (sys["NoConnect"] + sys["BtnBack"]) ){
        $.ui.showMask();
        $.ajax({
            type: 'GET',
            url      : ajaxUrlHome + sys['conductURL']+'?json=1&exclude=attachments,comments,custom_fields,author',
            dataType : 'json',
            crossDomain: true,
            success  : function(data) {
                $.ui.hideMask();
                var newHtml = data.page.content;
                newHtml += '<a href="javascript:void(0);" onclick="$.ui.goBack()" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
                $.ui.updateContentDiv("conduct_cust",newHtml);
            },
            error    : function() {
                $.ui.hideMask();
                var newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
                newHtml += '<a href="javascript:void(0);" onclick="$.ui.goBack()" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
                $.ui.updateContentDiv("conduct_custBack",newHtml);
            }
        });
    }
}

function loadCustomToc() {
    if( $("#toc_cust").text() == (sys["NoConnect"] + sys["BtnBack"]) ){
        $.ui.showMask();
        $.ajax({
            type: 'GET',
            url      : ajaxUrlHome + sys['tocURL']+'?json=1&exclude=attachments,comments,custom_fields,author',
            dataType : 'json',
            crossDomain: true,
            success  : function(data) {
                $.ui.hideMask();
                var newHtml = data.page.content;
                newHtml += '<a href="javascript:void(0);" onclick="$.ui.goBack()" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
                $.ui.updateContentDiv("toc_cust",newHtml);
            },
            error    : function() {
                $.ui.hideMask();
                var newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
                newHtml += '<a href="javascript:void(0);" onclick="$.ui.goBack()" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
                $.ui.updateContentDiv("toc_cust",newHtml);
            }
        });
    }
}
