
function ownUpdateStatus(){
    var thisUrl = "api/ketchapp/update_status/";
    var cnt = $("#statuser input").val();
    if(currentPosition){
        var datasnd = {cookie: wpcookie, content: cnt, lat:latitudeP, lng:longitudeP};
    } else {
        var datasnd = {cookie: wpcookie, content: cnt};
    }

    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + thisUrl,
        data    : datasnd,
        success : function(data){
            data = $.parseJSON(data);
            if(data.status == "ok"){
                error("profile_error", "Status modificato");
                $("#statuser").slideToggle();
            } else {
                error("profile_error", "Error di comunicazione");
            }
        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });
}

function ownUpdateCheckin(){
    if(!geobool) {

        geobool = boolEr('btncheck',true,'Posizione');


        var thisUrl = "api/ketchapp/update_checkin/";


        $(document).unbind("geoDone").bind("geoDone",function(){
            if(currentPosition){

                var datasnd = {cookie: wpcookie, lat:latitudeP, lng:longitudeP};
                $.ajax({
                    type    : "POST",
                    url     : ajaxUrlHome + thisUrl,
                    data    : datasnd,
                    success : function(data){
                        data = $.parseJSON(data);
                        if(data.status == "ok"){
                            error("profile_error", "Posizione salvata con successo");
                        } else {
                            error("profile_error", "Error di comunicazione");
                        }
                        geobool = boolEr('btncheck',false,'salvata!');
                        var seint = setTimeout(function(){
                            geobool = boolEr('btncheck',false,'Posizione');
                        }, 1500);
                    },
                    error   : function(){
                        error("profile_error", sys["NoConnect"]);
                        geobool = boolEr('btncheck',false,'Posizione');
                    }
                });
            } else {
                error("profile_error", 'Posizione non trovata');
                geobool = boolEr('btncheck',false,'Posizione');
            }
        });
        getPos();
    }
}


function getPos(){

    if(newPosition){

        lat=latitudeP;
        lng=longitudeP;
        currentPosition = true;
        $(document).trigger("geoDone");
        return;
    }

    if($.os.ios) {
        navigator.geolocation.getCurrentPosition(GeoSuccess, GeoError);
    } else if ($.os.android) {
        var options = { enableHighAccuracy: true };
        navigator.geolocation.getCurrentPosition(GeoSuccess, GeoError, options);
    } else {
        // I'm on browser!
        latitudeP = 43.320932;
        longitudeP = 11.330938;

        currentPosition = true;
        $(document).trigger("geoDone");
    }
}

function boolEr(div,bool,txt){
    if(bool){
        $('#'+div).addClass('load');
        $('#'+div).html('<img src="./app/content/images/load.gif" style="height: 16px;vertical-align: top;position: relative;top: 7px;">');
    } else {
        $('#'+div).removeClass('load');
        $('#'+div).html(txt);
    }
    return bool;
}

function callActivities(){

    var thisUrl = "api/ketchapp/home_activities/";

    var ahtml = "";

    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + thisUrl,
        data    : {user_id: pid},
        success : function(dataDue){

            ahtml += activitiesParser(dataDue, "activities-home");
            $("#userActivity").html(ahtml);
            refresherize('activities-home', 'callActivities' );

        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

            refresherize('activities-home', 'callActivities' );
        }
    });
}

function activitiesParser(dataDue, target){
    dataDue = $.parseJSON(dataDue);
    var ahtml = "";
    ahtml += "<ul class='activitylist'>";

    for(i in dataDue.activities){
        var type = dataDue.activities[i].type;
        var this_user_id = dataDue.activities[i].user_id;
        var title = dataDue.activities[i].feed_item_title;
        var desc = dataDue.activities[i].feed_item_description;
        var address = dataDue.activities[i].addr_lat;
        var name = dataDue.activities[i].display_name;
        var nicename = dataDue.activities[i].user_nicename;
        var avatar = dataDue.activities[i].avatar;
        var date = getTheDate(dataDue.activities[i].date);
        var mention_id = dataDue.activities[i].mention;

        ahtml += "<li class='"+type+"'>";
        if(this_user_id != pid){
            ahtml += "<a href='#profile_" + this_user_id + "' class='prof' onclick=\"genFriendPages('"+this_user_id+"','"+nicename+"'); $.ui.loadContent('#profile_"+this_user_id+"');\">";

        }

        ahtml += "<img src='" + avatar + "' class='thumb'>";
        ahtml += "<div class='homer'><span class='pname'>" + name + "<span>@" + nicename + "</span></span>";
        ahtml += "<span class='pdate'>" + date + "</span></div>";
        ahtml += "</a>";
        if(mention_id != false && mention_id != undefined){
            var mention = desc.match(/^[@][a-z0-9_-]+/);
            var newmention = "<a href='#profile_" + mention_id + "' class='button mention' onclick=\"genFriendPages('"+mention_id+"','"+mention+"'); $.ui.loadContent('#profile_"+mention_id+"');\">" + mention + "</a>";
            desc = desc.replace(mention, newmention);

        }
        if(type == "activity_checkin" && address[0] != false){
            ahtml += "<span class='ptext'>" + getTheCheckin(address) + "</span>";
        } else {
            if(desc.length > 0){
                ahtml += "<span class='ptext'>" + desc + "</span>";
            } else {
                ahtml += "<span class='ptext'>" + title + "</span>";
            }
        }
        ahtml += "</li>";
    }

    ahtml += "</ul>";

    if(typeof dataDue.activities === 'undefined' ) {
        if( target == 'friend' ) {
            ahtml = "<p class='supa'>Quest'utente non ha ancora pubblicato nulla su Gayardo.</p>";
        } else {
            ahtml = "<p class='supa'>Non hai ancora nessuna attivit&agrave;!<br>Compila il tuo profilo, stringi nuove amicizie, inizia a chattare con gli utenti attorno a te!</p>";
        }

    }
    return ahtml;
}


function getTheCheckin(address){
    var w = window.innerWidth;
    var h = window.innerHeight;
    var url = "https://maps.googleapis.com/maps/api/staticmap?zoom=15&size="+w+"x"+h+"&markers=color:pink|label:G|"+address[0]+","+address[1]+"&sensor=false&key=AIzaSyCEUTNg3agzzMGSlCIUORueDpOh4_l514k";
    var mimg = "<a href=\"javascript:void(0)\" onclick=\"zoomImage('"+url+"');\" class='button map icon-pin-alt' class='map'>"+stringTrimmer(address[2],16,26)+"</a>";
    return mimg;
}