function getFriendsList(user_id){
    if(user_id == null){
        user_id = pid;
        // gifLoading("#friends #friendslist");

    } else {
        $('.profile_menu .button').removeClass('selected');
        $('.friendFriends').addClass('selected');

        gifLoading("#profile_"+user_id+" div.profile_text");
    }
    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/buddypressread/friends_get_friends",
        data    : {user_id: user_id},
        success : function(dataDue){
            var text = $.parseJSON(dataDue);
            var fhtml = "<ul class='friendslist'>";
            if(text.status != "error"){
                var j = 0;
                arrayFriends.length = 0;
                for(var i in text.friends){
                    if(text.friends[i].user_id != pid){
                        fhtml += "<li><a href='#profile_" + text.friends[i].user_id + "' onclick=\"genFriendPages('"+text.friends[i].user_id+"','"+text.friends[i].user_nicename+"'); $.ui.loadContent('#profile_"+text.friends[i].user_id+"')\">";
                        fhtml += "<img src='" + text.friends[i].avatar + "' class='thumb'>";
                        fhtml += "<span class='pname'>" + text.friends[i].display_name + "<span>@" + text.friends[i].user_nicename + "</span></span>";
                        fhtml += "</a></li>";

                        arrayFriends[j] = text.friends[i].user_id;
                        j++;
                    } else {
                        fhtml += "<li><a href='javascript:void(0);'>";
                        fhtml += "<img src='" + text.friends[i].avatar + "' class='thumb'>";
                        fhtml += "<span class='pname'>" + text.friends[i].display_name + "<span>@" + text.friends[i].user_nicename + "</span></span>";
                        fhtml += "</a></li>";
                    }
                }
                // save friends in localstorage;
                localStorage.setItem('friends',arrayFriends);

            }
            fhtml += "</ul>";
            if(user_id == pid){
                if(typeof text.friends === 'undefined' ) {
                    fhtml = "<p class='supa'>Non hai ancora nessun amico su<br> Cerca fra gli utenti attorno a te per trovare i tuoi amici o fartene di nuovi!</p>";
                }

                $("#friendslist").html(fhtml);
                getFriendsRequests();

                refresherize('friends','getFriendsList')
            } else {
                if(typeof text.friends === 'undefined' ) {
                    fhtml = "<p class='supa'>Quest'utente non ha ancora amici su Gayardo. Mandagli una richiesta!</p>";
                }
                $("#profile_"+user_id+" div.profile_text").html(fhtml);

            }

        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });
}

function genFriendPages(fuserid,fnn){

    var sfhtml = "";
    if($("#profile_" + fuserid).length <= 0){
        $("#profile_" + fuserid).remove();
        $.ui.addContentDiv("profile_" + fuserid, "", "");
    }
    $("#profile_" + fuserid).addClass("color");

    $.ui.updateContentDiv("#profile_" + fuserid, "<div style='text-align:center;margin-top:24px;'><img src='./app/content/images/load.gif'></div>");
    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/buddypressread/profile_get_profile/",
        data    : {user_id: fuserid, cookie: wpcookie },
        success : function(dataDue){
            var text = $.parseJSON(dataDue);
            sfhtml += getSingleFriendProfile(text,fuserid,fnn);
            $.ui.updateContentDiv("#profile_" + fuserid, sfhtml);

        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });

}

function getSingleFriendProfile(text,fuserid,fnn){
    /*
    var fr = false;
    if(localStorage.getItem('friends')){
        if(localStorage.getItem('friends').split(",").indexOf(fuserid) > -1 ){
            fr = true;
        }
    }
    */

    if(text.blocked_by_you){
        htmler = "<p class='supa'>Hai bloccato questo utente in passato.</p>";
        htmler += "<a href='javascript:void(0);' class='button green full' onclick=\"unblockUser("+fuserid+",'"+fnn+"')\">Sblocca utente</a>";
    } else if(text.blocked){
        htmler = "<p class='supa'>Sei stato bloccato da questo utente: accesso negato.</p>";
    } else {
        var suser = text.profilefields.Base[0];

        var last_addr;
        if( text.last_addr != '' ) {
            last_addr = "<span class='icon icon-pin-alt'>"+stringTrimmer(text.last_addr,30,100)+"</span>";
        } else {
            last_addr = '';
        }

        var htmler = "<div class='profile_header'>";
        if( text.status == 'online' ) {
            htmler += "<div class='user_is_online'></div>";
        }
        htmler += "<div class='profile_info'>"+suser.value+"<span>@"+fnn+"</span>"+last_addr+"</div>";
        htmler += "<a href='#profile_info_"+fuserid+"' class='profile_img'><img src='"+text.avatar+"'></a>";
        htmler += '</div>';

        htmler += "<div class='profile_header_menu'>";

        htmler += "<div class='one_third'>";
        if( text.fr == 'is_friend' ){
            htmler += "<a href='javascript:void(0);' class='button rounded icon-removefriend ' onclick=\"deleteFriendship("+fuserid+")\"></a>";
        } else if( text.fr == 'not_friends' ){
            htmler += "<a href='javascript:void(0);' class='button rounded icon-addfriend' onclick=\"requestFriendship("+fuserid+")\"></a>";
        } else if( text.fr == 'request' ){
            htmler += "<a href='javascript:void(0);' class='button rounded icon-addfriend' style='color:grey;text-shadow: none !important;'></a>";
        } else if( text.fr == 'pending' ){
            htmler += "<a href='javascript:void(0);' class='button rounded icon-addfriend' onclick=\"replyFriendship("+fuserid+",'accept')\"></a>";
        }
        htmler += "</div>";
        htmler += "<div class='one_third'>";
        htmler += "<a href='javascript:void(0);' class='button rounded icon-bubbles-2' onclick=\"getSingleFriendChat('"+fuserid+"','"+text.avatar+"','"+suser.value+"','"+fnn+"','"+text.status+"');$.ui.loadContent('#profile_chat_"+fuserid+"');\"></a>";
        htmler += "</div>";
        htmler += "<div class='one_third'>";
        htmler += "<a href='javascript:void(0);' class='button rounded icon-forbidden' onclick=\"blockUser("+fuserid+",'"+fnn+"')\"></a>";
        htmler += "</div>";

        htmler += '</div>';
        htmler += "<div class='profile_content'>";
        htmler += "<div class='profile_menu'>";

        htmler += "<a href='javascript:void(0);' class='friendInfo button rounded big icon-contact selected' onclick=\"callFriendProfileInfo("+fuserid+")\"></a>";
        htmler += "<a href='javascript:void(0);' class='friendGallery button rounded big icon-camera' onclick=\"galleryInit("+fuserid+",'@"+fnn+"')\"></a>";
        htmler += "<a href='javascript:void(0);' class='friendFriends button rounded big icon-users' onclick=\"getFriendsList("+fuserid+");\"></a>";
        htmler += "<a href='javascript:void(0);' class='friendActivities button rounded big icon-details' onclick=\"callFriendActivities("+fuserid+");\"></a>";

        htmler += "</div>";
        htmler += "<div class='profile_text'>";
        htmler += "<div style='text-align:center;margin:24px 0;'><img src='./app/content/images/load.gif'></div>";
        htmler += "</div>";

        htmler += "</div>";

        callFriendProfileInfo(fuserid);
    }

    return htmler;
}

function callFriendProfileInfo(fuserid){
    $('.profile_menu .button').removeClass('selected');
    $('.friendInfo').addClass('selected');

    gifLoading("#profile_"+fuserid+" div.profile_text");
    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/buddypressread/profile_get_profile/",
        data    : {user_id: fuserid},
        success : function(text){
            text = $.parseJSON(text);
            var suser = text.profilefields.Base;
            var htmler = "<ul class='uinfo'>";

            if( text.description != '' ) {
                htmler += "<li><span>" + text.description + "</span></li>";
            }

            for(i in suser){
                if( suser[i].value != '' && suser[i].value != '-') {
                    var iconField;
                    if( suser[i].field_id == 'field_4') {
                        iconField = iconProfile[suser[i].value];
                    } else {
                        iconField = iconProfile[suser[i].field_id];
                    }
                    var value = suser[i].value;
                    if( suser[i].type == 'datebox' ) {
                        var birth = new Date( value );

                        value = birth.getDate() + ' ' + sys["monthsArray"][birth.getMonth() -1]+ ' ' + birth.getFullYear();
                    }
                    htmler += "<li class='icon "+iconField+"'>" + suser[i].name + " <span>" + value + "</span></li>";

                }
            }

            htmler += "</ul>";
            $("#profile_"+fuserid+" div.profile_text").html(htmler);

        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });

}

function callFriendActivities(user_id){
    $('.profile_menu .button').removeClass('selected');
    $('.friendActivities').addClass('selected');

    gifLoading("#profile_"+user_id+" div.profile_text");

    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/ketchapp/friends_activities/",
        data    : {user_id: user_id},
        success : function(dataDue){
            /*  "display_name": "admin_display",
             "user_nicename": "admin_nicename",
             "avatar": "http:\/\/gayardo.mobi\/wp-content\/uploads\/avatars\/1\/65dc591bf8fd215d3bf14af550c54e6f-bpfull.png",*/
            // parsa i settings
            var ahtml = "";
            ahtml += activitiesParser(dataDue, "friend");

            $("#profile_"+user_id+" div.profile_text").html(ahtml);

        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });
}

function getFriendsRequests(){
    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/buddypressread/friends_get_friendship_request/",
        data    : {user_id: pid},
        success : function(dataDue){

            var uhtml = "";
            var users = $.parseJSON(dataDue);
            if(users.status == "ok"){
                if( $('#friends_btn .af-badge').length == 0 ) {
                    if(!bg){ navigator.notification.vibrate(1000); }
                }
                $.ui.updateBadge("#friends_btn"," ","bl"); //Badge will appear on the top left
            }

            if( users.friends != undefined ) {
                uhtml += "<ul class='friendslist'>";
                for(var i in users.friends){

                    uhtml += "<li><a href='#profile_" + users.friends[i].user_id + "' style='width:60%' onclick=\"genFriendPages('"+users.friends[i].user_id+"','"+users.friends[i].user_nicename+"'); $.ui.loadContent('#profile_"+users.friends[i].user_id+"');\">";
                    uhtml += "<img src='" + users.friends[i].avatar + "' class='thumb'>";

                    uhtml += "<span class='pname'>" + users.friends[i].display_name + "<span>@" + users.friends[i].user_nicename + "</span></span>";
                    uhtml += "<a href=\"javascript:replyFriendship("+users.friends[i].user_id+",'reject');\" class='button red actions'>Rifiuta</a>";
                    uhtml += "<a href=\"javascript:replyFriendship("+users.friends[i].user_id+",'accept');\" class='button green actions'>Accetta</a>";

                    uhtml += "</li>";
                }
                uhtml += "</ul>";
            } else {
                $.ui.removeBadge("#friends_btn");
            }

            $("#friendsrequest").html(uhtml);

        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });
}

var blocker = true;
function requestFriendship(id){
    //cookie + friend_id @ request_friendship
    if(blocker == true){
        blocker = false;
        $.ui.showMask();

        $.ajax({
            type    : "POST",
            url     : ajaxUrlHome + "api/ketchapp/request_friendship/",
            data    : {cookie: wpcookie, friend_id: id},
            success : function(data){
                error("profile_error", "Richiesta di amicizia inviata con successo!");
                $.ui.loadContent("friends");
                $.ui.hideMask();
                blocker = true;
            },
            error   : function(){
                error("profile_error", sys["NoConnect"]);
                $.ui.hideMask();
                blocker = true;
            }
        });
    }

}

function deleteFriendship(id){
    //cookie + friend_id @ request_friendship
    $.ui.showMask();

    $.ui.popup( {
        title:"Cancella amicizia",
        message:"Vuoi davvero cancellare questa amicizia?",
        cancelText:"Annulla",
        cancelCallback: function(){
            console.log("annulla" + id);
            $.ui.hideMask();
        },
        doneText:"Ok",
        doneCallback: function(){
            $.ajax({
                type    : "POST",
                url     : ajaxUrlHome + "api/ketchapp/delete_friendship/",
                data    : {cookie: wpcookie, friend_id: id},
                success : function(data){
                    error("profile_error", "Amicizia cancellata!");
                    $.ui.loadContent("friends");
                    getFriendsList();
                    $.ui.hideMask();

                },
                error   : function(){
                    error("profile_error", sys["NoConnect"]);
                    $.ui.hideMask();


                }
            });
        },
        cancelOnly:false
    });

}

function replyFriendship(id, rep){
    //cookie + friend_id  + "reply": "accept" / "reject" @ reply_friendship
    $.ui.showMask();
    $.ajax({
        type    : "POST",
        url     : ajaxUrlHome + "api/ketchapp/reply_friendship/",
        data    : {cookie: wpcookie, friend_id: id, reply: rep},
        success : function(data){
            data = $.parseJSON(data);
            if(data.status == "ok"){
                if(rep == "accept"){
                    error("profile_error", "Amicizia accettata con successo!")
                } else {
                    error("profile_error", "Amicizia rifiutata con successo!")
                }

                $.ui.hideMask();

                getFriendsList();
            } else {
                error("profile_error", sys["NoConnect"]);
                $.ui.hideMask();

            }
        },
        error   : function(){
            error("profile_error", sys["NoConnect"]);

        }
    });
}


function removeBadgeFriends(){
    //$.ui.removeBadge('#friends_btn');
}

function blockUser(bid,fnn){

    $.ui.showMask();

    $.ui.popup( {
        title:"Blocca utente",
        message:"Vuoi davvero bloccare questo utente?",
        cancelText:"Annulla",
        cancelCallback: function(){
            console.log("annulla" + id);
            $.ui.hideMask();
        },
        doneText:"Ok",
        doneCallback: function(){
            $.ajax({
                type    : "POST",
                url     : ajaxUrlHome + "api/ketchapp/block_user/",
                data    : {cookie: wpcookie, user_blocked:bid},  // send cookie
                success : function(data){
                    $.ui.hideMask();

                    data = $.parseJSON(data);
                    genFriendPages(bid,fnn);
                },
                error   : function(){
                    error("profile_error", sys["NoConnect"]);

                }
            });
        },
        cancelOnly:false
    });
}

function unblockUser(bid,fnn){

    $.ui.showMask();

    $.ui.popup( {
        title:"Sblocca utente",
        message:"Vuoi davvero sbloccare questo utente?",
        cancelText:"Annulla",
        cancelCallback: function(){
            console.log("annulla" + id);
            $.ui.hideMask();
        },
        doneText:"Ok",
        doneCallback: function(){
            $.ajax({
                type    : "POST",
                url     : ajaxUrlHome + "api/ketchapp/unblock_user/",
                data    : {cookie: wpcookie, user_blocked:bid},  // send cookie
                success : function(data){
                    $.ui.hideMask();

                    data = $.parseJSON(data);

                    genFriendPages(bid,fnn);
                },
                error   : function(){
                    error("profile_error", sys["NoConnect"]);

                }
            });
        },
        cancelOnly:false
    });
}