// LOGIN

var lemail;
var lpass;

function loginUser(){
    if(!localStorage.getItem("email")){
        lemail = $("#lemail").val();
        lpass = $("#lpass").val();
        // add loading
        $.ui.showMask('loading...');
    } else {
        lemail = localStorage.getItem("email");
        lpass = localStorage.getItem("password");
    }

    $.ajax({
        url      : atomicGears + 'loggin/mobilogin/&app='+appid+'&email='+lemail+'&password='+lpass+'&callback=?',
        dataType : 'jsonp',
        crossDomain: true,
        success  : function(data) {
            if(data.login == 'correct' || ( localStorage.getItem("email") && localStorage.getItem("password") ) ){
                $("#area51").trigger("loggedIn");
            } else {
                error("logerror", sys["ErrEmail"]);
            }
            $.ui.hideMask();
        },
        error: function(){
            error("logerror", sys["NoConnect"]);
            $.ui.hideMask();
        }
    });

}

// LOGOUT
function logoutUser(){
    $.ui.showMask("loading...");
    $.ajax({
        url      : atomicGears + 'loggin/mobilogout/&callback=?',
        dataType : 'jsonp',
        crossDomain: true,
        success  : function(data) {
            $("#area51").trigger("loggedOut");
        }
    });
}

// register
function registerUser(r){
    $.ui.showMask('loading...');

    if(r == 1){
        remail = $("#remail").val();
        rpass = $("#rpass").val();
        rfname = $("#rfname").val();
        rlname = $("#rlname").val();
        rdate = $("#rdate").val();
        rsesso = $("#rsesso").val();

        rfacebook = false;
    } else {
        remail = r.email;
        rpass = r.pass;
        rfname = r.fname;
        rlname = r.lname;
        rdate = r.birthday;
        rsesso = r.gender;

        rfacebook = true;
    }

    if( remail != '' && rpass != '' ) {
        $.ajax({
            url      : atomicGears + 'loggin/mobiregister/&email='+remail+'&password='+rpass+'&fname='+rfname+'&lname='+rlname+'&date='+rdate+'&sesso='+rsesso+'&app='+appid+'&callback=?',
            dataType : 'jsonp',
            crossDomain: true,
            success  : function(data) {
                if(data.login == 'correct' || rfacebook ){
                    localStorage.setItem('email', remail);
                    localStorage.setItem('password', rpass);
                    loginUser();
                    $.ui.loadContent("#area51",false,false,"left");
                } else {
                    error("regerror", sys["NotUniqueEmail"] );
                    $.ui.hideMask();
                }
            },
            error: function(){
                error("regerror", sys["NoConnect"] );
                $.ui.hideMask();
            }
        });
    } else {
        error("regerror", sys["RegisterField"] );
        $.ui.hideMask();
    }
}


function passwordRetrieve(){
    rpmail = $("#rpmail").val();

    $.ajax({
        url      : atomicGears + 'loggin/mobipassemail/&app='+appid+'&email='+rpmail+'&callback=?',
        dataType : 'jsonp',
        crossDomain: true,
        success  : function(data) {
            if(data.email == 'wrong'){
                $.ui.loadContent("#area51",false,false,"left");
                error("logerror", sys["NotStoredEmail"] );
            } else if(data.email == 'sent'){
                $.ui.loadContent("#area51",false,false,"left");
                error("logerror", sys["PasswordReSent"] );
            } else {
                error("rperror", sys["NoConnect"] );
            }
        },
        error: function(){
            error("rperror", sys["NoConnect"] );
        }
    });
}


function loginStart(){
    var htmlForm;
    htmlForm =      '<div class="notlogged">';
    htmlForm +=     '<h1>' + sys["LoginLogin"] + '</h1>';
    htmlForm +=     '<span id="preLogin"></span>';
    htmlForm +=     '<form id=login onsubmit="return false;"><ul class="whitelist">';
    htmlForm +=        '<li><label for="lemail">' + sys["Email"] + '<input type="email" id="lemail" name="email" placeholder="' + sys["Email"] + '"></label></li>';
    htmlForm +=        '<li><label for="lpass">' + sys["Password"] + '<input type="password" id="lpass" name="password" placeholder="' + sys["Password"] + '"></label></li>';
    htmlForm +=        '</ul>';
    htmlForm +=        '<span id="logerror" class="error"></span>';
    htmlForm +=        '<button class="button full green" id="logbt" onclick="loginUser();">' + sys["LoginLogin"]+ '</button>';
    htmlForm +=        '<a href="#register" class="button half">' + sys["LoginRegister"]+ '</a>';
    htmlForm +=        '<a href="#login_pass" class="button half grey" data-transition="right">' + sys["LoginForgPass"] + '</a>';
    htmlForm +=        '</form>';
    htmlForm +=     '<span id="postLogin"></span>';
    htmlForm +=     '</div><div class="logged"></div>';
    $.ui.addContentDiv("area51",htmlForm,sys["LoginTitle"]);

    if(localStorage.getItem('email') && localStorage.getItem("facebook") != 'true' ){
        // start function if localstorage exists!
        loginUser();
    }


    // Triggering loggedIn
    $("#area51").on("loggedIn", function(){
        // local storage
        localStorage.setItem('email', lemail);
        localStorage.setItem('password', lpass);

        $('.notlogged').hide();
        $('.logged').show();

        $('#area51 .logged').append('<div class="in"></div>');

        var logoutbtn = '<button class="button full" id="logoutbt" onclick="logoutUser();">' + sys["LoginLogout"] + ": " + localStorage.getItem('email') + '</button>';
        $("#area51 .in").append(logoutbtn);

        console.log("Logged In");
    });

    // Triggering loggedOut
    $("#area51").on("loggedOut",function(){
        // local storage
        localStorage.removeItem('email');
        localStorage.removeItem('password');

        $('.notlogged').show();
        $('.logged').hide();

        $('.in').remove();
        //$.ui.updateContentDiv("#area51", htmlForm);

        $.ui.hideMask();
        console.log('Logged Out');
    });

    // add the registerPage;
    var htmlReg = '<form id=register onsubmit="return false;" ><ul class="whitelist">';
    htmlReg += '<li><label for="remail">' + sys["Email"] + '<input type="email" id="remail" name="email" placeholder="' + sys["Email"] + '" ></label></li>';
    htmlReg += '<li><label for="rpass">' + sys["Password"] + '<input type="password" id="rpass" name="password" placeholder="' + sys["Password"] + '" ></label></li>';
    htmlReg += '<li><label for="rfname">' + sys["FirstName"] + '<input type="text" id="rfname" name="fname" placeholder="' + sys["FirstName"] + '"></label></li>';
    htmlReg += '<li><label for="rlname">' + sys["LastName"] + '<input type="text" id="rlname" name="lname" placeholder="' + sys["LastName"] + '"></label></li>';
    htmlReg += '<li><label for="rdate">' + sys["Birth"] + '<input type="date" id="rdate" name="date" placeholder="' + sys["Birth"] + '"></label></li>';
    htmlReg += '<li><label for="rsesso">' + sys["Gender"] + '<select id="rsesso" name="sesso" title="' + sys["Gender"] + '">';
    htmlReg += '    <option value=""></option>';
    htmlReg += '    <option value="' + sys["Male"] + '">' + sys["Male"] + '</option>';
    htmlReg += '    <option value="' + sys["Female"] + '">' + sys["Female"] + '</option>';
    htmlReg += '</select></label></li></ul>';
    htmlReg += '<button class="button green full" id="regbt">' + sys["LoginRegister"] + '</button>';
    htmlReg += '<span id="regerror" class="error"></span>';
    htmlReg += '<a href="#area51" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
    htmlReg += '</form>';
    htmlReg += '<p style="text-align: center;">' + sys["AcceptPrivacy"] + ': <a href="#privacy" class="button" data-transition="left">Privacy</a></p>';

    $.ui.addContentDiv("register",htmlReg,sys["LoginRegTitle"]);
    $('#regbt').on('click',function(){registerUser(1);});

    // add the forgot pass
    var htmlForg = "";
    htmlForg +=         "<p>" + sys["LoginSendPass"] + "</p>";
    htmlForg +=   '<form id="login_pass_o" onsubmit="return false;" ><ul class="whitelist">';
    htmlForg +=         '<li><label for="rpmail">' + sys["Email"] + '<input type="email" id="rpmail" name="email" placeholder="' + sys["Email"] + '" ></label></li></ul>';
    htmlForg +=               '<button class="button green full" id="passbt">' + sys["BtnSubmit"] + '</button>';
    htmlForg +=               '<span id="rperror" class="error"></span>';
    htmlForg +=               '<a href="#area51" class="button full" data-transition="right">' + sys["BtnBack"] + '</a>';
    htmlForg +=          '</form>';

    $.ui.addContentDiv("login_pass",htmlForg,sys["LoginForgTitle"]);
    $('#passbt').on('click',function(){passwordRetrieve();});
// end of loginStart();
}
