/* Meteo Forecast */
var apiMeteo = "";

function meteoStart(){
    // add the CSS
    var meteoCSS = document.createElement("link");
    meteoCSS.rel = "stylesheet";
    meteoCSS.type= "text/css";
    meteoCSS.href= "./app/core/plugins/meteo/meteo.css";
    $("head").append(meteoCSS);

    apiMeteo = "http://api.wunderground.com/api/" + wunderApi + "/forecast10day/lang:" + (localStorage.getItem("lang")).toUpperCase() + "/q/" + latitudine + "," + longitudine + ".json?callback=?";

    $.ui.addContentDiv("meteo",'', sys["MeteoTitle"]);
    $('#meteo').data("load","meteoLaunch");
}

function meteoLaunch(){
    var meHtml = "";

	if( $('#meteo').text() == '' || $('#meteo').text() == sys["NoConnect"] ) {
        /* MASK */
        $.ui.showMask('loading...');
        /* MASK */

        $.ajax({
            url      : apiMeteo,
            dataType : 'jsonp',
            crossDomain: true,
            success  : function(data) {
                meHtml += "<div id='meteoContent'>";
                for(a in data.forecast.txt_forecast.forecastday){

                    urlIcona = new String(data.forecast.txt_forecast.forecastday[a].icon_url);
                    newUrlIcona = urlIcona.replace("http://icons-ak.wxug.com/i/c/k/","http://icons-ak.wxug.com/i/c/i/");
                    var hcl = '';
                    if(Number(data.forecast.txt_forecast.forecastday[a].period) % 2 == 0){hcl = '';} else {hcl ='class=light';}
                    meHtml += "<h2 "+hcl+">" + data.forecast.txt_forecast.forecastday[a].title + "</h2>";
                    meHtml += "<p><img src='"+newUrlIcona+"' style='width:52px;margin:0 8px 0 0;padding:4px;display:inline;float:left;'>";
                    meHtml += data.forecast.txt_forecast.forecastday[a].fcttext_metric;
                    meHtml += "<br><span style='font-style:italic;font-weight:bold;'>" + sys['MeteoPossPrec'] + ":" + data.forecast.txt_forecast.forecastday[a].pop + "%";
                    meHtml += "</p>";
                }
                meHtml += "</div>";

                meHtml += "<a href='http://www.wunderground.com' target='_blank'><img src='app/core/plugins/meteo/images/wunderground.png'></a>";

                $.ui.updateContentDiv("meteo",meHtml);

                $.ui.hideMask();
            },
            error: function(){
                $.ui.hideMask();
                var newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";
                $.ui.updateContentDiv("meteo",newHtml);
            }
        });
	}
}



