function qrCode(){
    window.plugins.barcodeScanner.scan(
        function(result) {
            if (result.cancelled){

            }else{

                $.ui.updateContentDiv("#scanned", '<p style="text-align: center;"><img src="./app/content/images/loading.gif" /></p>');
                $.ui.loadContent("#scanned",false,false,"flip");

                httpCheck = result.text;

                uno = result.text.replace('http://','');
                due = uno.replace('https://','');
                tre = due.replace(/\//g,"_-0-_");
                quattro = tre.replace(/\&/g,"_-1-_");
                cinque = quattro.replace(/\?/g,"_-2-_");
                sei = cinque.replace(/\=/g,"_-3-_");
                result.text = sei;

                $.ajax({
                    url      : atomicGears + 'qrcode/scan/'+result.text+'/&app='+appid+'&callback=?',
                    dataType : 'jsonp',
                    crossDomain: true,
                    success  : function(data) {

                        if( data.order || data.discount ) {
                            var name, desc, discount, msg, img;
                            if(data.order){
                                name = data.order.items[0].name;
                                desc = data.order.items[0].desc;
                                if ( data.order.error == 1 ) {
                                    discount = '';
                                    img = 'scan0.png';
                                    msg = data.order.msg;
                                } else {
                                    discount = '<span class="discount button">'+sys["QRvalue"]+' '+data.order.items[0].price+'</span>';
                                    img = 'scan1.png';
                                    msg = '<strong>'+data.order.msg+'</strong>';
                                }
                            } else if(data.discount){
                                name = data.discount.item_name;
                                desc = data.discount.item_desc;
                                if ( data.discount.error == 1 ) {
                                    discount = '';
                                    img = 'scan0.png';
                                    msg = data.discount.msg;
                                } else {
                                    // TODO: bisogna lasciare % o toglierlo?!?
                                    discount = '<span class="discount button">'+sys["QRdiscount"]+' '+data.discount.item_discount+'</span>';
                                    img = 'scan1.png';
                                    msg = '<strong>'+data.discount.msg+'</strong>';
                                }
                            }

                            html  = '<div class="qrResult">';
                            html += '<h1>'+name+'<span>'+desc+'</span></h1>';
                            html += '<p>'+ discount;
                            html += '<img src="./app/core/plugins/qrcode/images/'+img+'">';
                            html += '<span class="expire"><strong>'+data.order.msg+'</strong></span>';
                            html += "</p></div>";

                            if ( data.order.error == 1 ) {
                                navigator.notification.beep();
                            } else {
                                navigator.notification.vibrate();
                            }

                            $.ui.updateContentDiv("#scanned", html);
                            $.ui.loadContent("#scanned",false,false,"flip");

                        } else if(data.fail){    // if data failed to read
                            navigator.notification.beep();

                            alert( sys["QRwrongcode"] );

                        }else if(data.link){
                            if(httpCheck.search('https://') >= 0 || httpCheck.search('http://') >= 0){
                                $.ui.actionsheet("<a href='javascript:void(0);' class='button red' onclick='window.plugins.childBrowser.showWebPage(\""+httpCheck+"\")'>"+sys["QRgoto"]+"</a>");
                                $.ui.updateContentDiv("#scanned", '<p class=high>'+httpCheck+'</p>');

                            } else {
                                alert( sys["QRerror"] );
                            }
                        } else {
                            alert(result.text);
                        }
                    } // end of success
                });

            }
        },
        function(error) {
            alert( sys["QRfail"]+": " + error)
        }
    );
}

function qrcodeStart(){
    // add the CSS
    var qrcodeCSS = document.createElement("link");
    qrcodeCSS.rel = "stylesheet";
    qrcodeCSS.type= "text/css";
    qrcodeCSS.href= "./app/core/plugins/qrcode/qrcode.css";
    $("head").append(qrcodeCSS);
    $("#popupContent").append('<a href="javascript:void(0);" onclick="qrCode();" class="button full red">Scan QR Code</a>');

    $.ui.addContentDiv("scanned","");
}