var yelpStartPage = '<div id="yelp_list"><p class="high">' + sys["NoConnect"] + '</p></div>';

var param = "";
var urlyelp = "";

function yelpSearch(urlye, term){
    var newHtml = '<ul class="yel">';

    /* MASK */
    $.ui.showMask('loading...');
    /* MASK */

    $.ajax({
        url      : urlye + "&category=" + term,
        dataType : 'jsonp',
        crossDomain: true,
        success  : function(data) {

            for(i in data.businesses){

                var contCat = new Array();

                for(z in data.businesses[i].categories){
                    contCat[z] = data.businesses[i].categories[z].name;
                }

                var cats = contCat.join(', ');

                var contRev = new Array();

                for(z in data.businesses[i].reviews){
                    var rhtml = "<img src='" + data.businesses[i].reviews[z].rating_img_url_small + "' style='width:50px;'><br>";
                    rhtml += "<a href='" + data.businesses[i].mobile_url + "' target='_blank' style='color:black;text-decoration:none;'>\"" + data.businesses[i].reviews[z].text_excerpt + "\"</a><br>";
                    rhtml += "<img src='"+data.businesses[i].reviews[z].user_photo_url_small+"'style='width:30px;'> <span style='font-style:italic'>" + data.businesses[i].reviews[z].user_name + "</span>";
                    contRev[z] = rhtml;
                }

                var revs = contRev.join('<br><br> ');

                content = '<div><p><img src="' + data.businesses[i].photo_url + '" class="yelp">';

                content += '<span class="yelpt">'+data.businesses[i].name + '</span><img src="' + data.businesses[i].rating_img_url + '" style="width:84px;text-shadow:none;top:0;background:white;">';

                content += '<br>' + data.businesses[i].address1 + ', ' + data.businesses[i].zip + ' ' + data.businesses[i].city;

                content += '<br>tags: <span style="font-style:italic">' + cats + '</span>';

                if(data.businesses[i].phone.length > 0){
                    content += '<br><a href="tel:'+data.businesses[i].phone+'" target="_blank" class="icon phone button yelp selected">'+data.businesses[i].phone+'</a>';
                }

                content += '<a href="javascript:window.plugins.childBrowser.showWebPage(\'' + escape(data.businesses[i].mobile_url) +'\')" target="_blank" class="icon wifi button yelp selected">'+sys['details']+'</a>';

                content += "</p><h1>"+sys['map']+":</h1><p style='text-align: center;'><img width='96%' src='http://maps.google.com/maps/api/staticmap?center="+data.businesses[i].latitude+"%2C"+data.businesses[i].longitude+"&language=it&zoom=15&markers=shadow%3Atrue%7Cicon%3Ahttp%3A%2F%2Fd1lf0h1wlh3cdl.cloudfront.net%2Fimg%2Fbiz_details_map_marker.png%7C" + data.businesses[i].latitude + "%2C" + data.businesses[i].longitude + "&sensor=false&size=400x200'>";

                content += '</'+'p><h1>'+sys['reviews']+':</h1><p> <br>' + revs + '';

                content += '</'+'p><a href="http://www.yelp.com" target="_blank" style="color:black;margin:4px auto;display:block;text-align:center"><img src="./app/core/plugins/yelp/images/yelp.png"  style="width:51px;"></a></div>';

                content = escape(content);

                newHtml += '<li>';

                newHtml += '<img src="' + data.businesses[i].photo_url + '">';

                if(i >= 0){
                    newHtml += '<a href="#yelp_' + data.businesses[i].id + '" onclick="if($(\'#yelp_' + data.businesses[i].id + '\').length == 0){$.ui.addContentDiv(\'yelp_' + data.businesses[i].id + '\',\''+content+'\',\'' + stringTrimmer(data.businesses[i].categories[0].name, 26, 52)+'\'); $.ui.loadContent(\'yelp_' + data.businesses[i].id + '\',false,false,\'slide\'); $.ui.updateContentDiv(\'#yelp_' + data.businesses[i].id + '\', unescape(\''+content+'\'));}">' + stringTrimmer(data.businesses[i].name, 26, 52) + '</'+'a>';
                }

                newHtml += '</'+'li>';


            }
            newHtml += '</ul>';

            if(data.businesses.length <= 0){
                newHtml = "<p class='high'>"+sys['nolocation']+"</p>";
            }

            /* MASK */
            $.ui.hideMask();
            /* MASK */

            $.ui.updateContentDiv("#yelp_" + term, newHtml);

            $.ui.updateBadge("#navbar_nearbyt", data.businesses.length, "tr");
        },

        error: function(){
            $.ui.hideMask();

            newHtml = "<p class='high'>" + sys["NoConnect"] + "</p>";

            $.ui.updateContentDiv("#yelp_" + term, newHtml);
        }
    });


}

function yelpOnClick(tt,ti){
    if($('#yelp_' + tt).html().length == 0){
        $.ui.addContentDiv('yelp_' + tt, 'loading...', ti);
        $.ui.loadContent('yelp_' + tt,false,false,'slide');
        yelpSearch(urlyelp, tt);
    }
}

function yelpStart(){
    var yelpCatArray = new Array();
    yelpCatArray[sys["active"]] = 'active';
    yelpCatArray[sys['arts']] = 'arts';
    yelpCatArray[sys['bars']] = 'bars';
    yelpCatArray[sys['beer_and_wine']] = 'beer_and_wine';
    yelpCatArray[sys['pubs']] = 'pubs';
    yelpCatArray[sys['danceclubs']] = 'danceclubs';
    yelpCatArray[sys['coffee']] = 'coffee';
    yelpCatArray[sys['grocery']] = 'grocery';
    yelpCatArray[sys['icecream']] = 'icecream';
    yelpCatArray[sys['internetcafe']] = 'internetcafe';
    //yelpCatArray[sys['restaurants']] = 'restaurants';
    yelpCatArray[sys['pizza']] = 'pizza';
    yelpCatArray[sys['shopping']] = 'shopping';
    //yelpCatArray[sys['beautysvc']] = 'beautysvc';
    yelpCatArray[sys['auto']] = 'auto';
    yelpCatArray[sys["health"]] = 'health';

    // add the CSS
    var yelpCSS = document.createElement("link");
    yelpCSS.rel = "stylesheet";
    yelpCSS.type= "text/css";
    yelpCSS.href= "./app/core/plugins/yelp/yelp.css";
    $("head").append(yelpCSS);

    // add the Start Page
    $($("#nearby")).remove();
    $.ui.addContentDiv("nearby", yelpStartPage, sys["YelpTitle"]);
    $("#nearby").data("localtitle","titleYelp");

    var html ='<ul>';

    for(i in yelpCatArray){

        html += '<li>';
        html += '<a href="#yelp_' + yelpCatArray[i] + '" onclick="yelpOnClick(\'' + yelpCatArray[i] + '\', \'' + i + '\')">';
        html += '<img src="./app/core/plugins/yelp/images/'+yelpCatArray[i]+'.png" >' + i + '</a></li>';
        //console.log(i);
    }

    html += "</ul>";
    //$("#yelp_list").html(html);
    $.ui.updateContentDiv("#nearby",html);

    param = "lang="+localStorage.getItem("lang")+"&lang_filter=true&lat=" + latitudine + "&long=" + longitudine + "&radius=" + yelpRadius + "&limit=" + yelpLimit +"&ywsid=" +yelpOauth +"&callback=?";
    urlyelp = "http://api.yelp.com/business_review_search?" + param;

}